2014-04-27  Paul Fertser <fercerpav@gmail.com>

	* : The openocd-0.8.0 release Signed-off-by: Paul Fertser <fercerpav@gmail.com>

2014-04-18  Ivan De Cesaris <ivan.de.cesaris@intel.com>

	* : quark_x10xx: fix IO r/w operations with paging enabled Paging checking and disabling wasn't present for IO r/w, so the
	commands were successful only when paging wasn't enabled (e.g. EFI
	boot phase).  Change-Id: I41366c0fadff3ea1eb8a153291f20a46cd9ddec1 Signed-off-by:
	Ivan De Cesaris <ivan.de.cesaris@intel.com> Reviewed-on:
	http://openocd.zylin.com/2118 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-04-15  Paul Fertser <fercerpav@gmail.com>

	* : The openocd-0.8.0-rc2 release candidate Signed-off-by: Paul Fertser <fercerpav@gmail.com>

2014-04-09  Paul Fertser <fercerpav@gmail.com>

	* : svf: try to reallocate buffers if they're not enough On larger FPGAs the default buffer size is not nearly enough;
	automatically reallocate it as needed.  Change-Id: Ic8071e8cceddeef897ce76996c029250fd22662b Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2099 Tested-by: jenkins Reviewed-by:
	Kenneth Lorthioir <ibelimb@gmail.com> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-04-09  Spencer Oliver <spen@spen-soft.co.uk>

	* : usb_blaster: fix warning: array subscript has type ‘char’ caught by clang 3.4 running on cygwin.  Change-Id: I59f652337334e557fb50374f5270ba9c30392b6e Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2100 Reviewed-by: Jörg Wunsch
	<openocd@uriah.heep.sax.de> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins

2014-04-10  Paul Fertser <fercerpav@gmail.com>

	* : configure: presto ftdi driver requires libftdi Change-Id: I4b04eec5084d4b8129e2aff8f3411c6d92e84431 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2101 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2014-03-31  Tim Sander <tim@krieglstein.org>

	* : target: fix incorrect arm cpu monitor mode encoding According to the "Arm Arch Ref Manual ARMv7-a and ARMv7-R edition"
	the CPSR encoding for Monitor mode is 0b10110 (22) not 0b11010 (26)
	as is currently used.  Change-Id: I73373a0029a81abc92febf518b88bf0dd4dec1fa Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2081 Reviewed-by: Jörg Wunsch
	<openocd@uriah.heep.sax.de> Tested-by: jenkins Reviewed-by: Younes
	REGAIEG <y.regaieg@gmail.com> Reviewed-by: Tim Sander
	<tim@krieglstein.org> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2014-02-28  Andreas Ortmann <ortmann@finf.uni-hannover.de>

	* : contrib/rpc_examples: add example for python3 Halt, resume, memory read/write are used in various ways.  Change-Id: Ia6727678bfc19cc764f822b739bddaae56e9dc70 Signed-off-by:
	Andreas Ortmann <ortmann@finf.uni-hannover.de> Reviewed-on:
	http://openocd.zylin.com/2000 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-04-05  Karl Hammar <karl@aspodata.se>

	* : parport: add "aspo" hotpluggable adapter config This adds a new adapter config.  Design files are available from: http://turkos.aspodata.se/git/openhw/isp/pp_jtag_arm20.sch
	http://turkos.aspodata.se/git/openhw/isp/pp_jtag_arm20.pcb No need to document it anywhere as only a single device was ever
	built.  Change-Id: If031fdb9dedb1e544401747bfb7fbc5afc4d5407 Signed-off-by:
	Karl Hammar <karl@aspodata.se> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2094
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-03-31  Paul Fertser <fercerpav@gmail.com>

	* : README.OSX: add 10.9 specific hints Change-Id: I8c684f2964262fb0670ed74fded26676833aee10 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2080 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2014-03-30  Paul Fertser <fercerpav@gmail.com>

	* : jtag/aice/aice_usb: remove unused constants Those are breaking the build with clang 3.4 (current default
	compiler on OS X 10.9.2).  Change-Id: I9f2fbfbb6d544498cb8d6a62565e4ebe7223e784 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2077 Tested-by: jenkins Reviewed-by:
	Hsiangkai Wang <hsiangkai@gmail.com>

2014-03-30  Paul Fertser <fercerpav@gmail.com>

	* : Restore -dev suffix Signed-off-by: Paul Fertser <fercerpav@gmail.com>

2014-03-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Don't cast return value of [cm]alloc Change-Id: I0028a5b6757b1ba00031893d9a2a1725f915a0d5 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2069 Tested-by: jenkins Reviewed-by: Jörg
	Wunsch <openocd@uriah.heep.sax.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-17  Paul Fertser <fercerpav@gmail.com>

	* : NEWS: add release highlights Change-Id: Ifa4459b3b7b58b639d6c885a2ea88cefbfac2680 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1881 Tested-by: jenkins

2014-02-08  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : at91samd: Bail early if trying to erase protected sector Bail early if trying to erase protected sector and also do not
	double-erase already erased sectors.  Change-Id: Ic2d39af48c3b8e10e78d52dd978b9bc01f671c6a Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2026 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-02-08  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : at91samd: Remove 'first' and 'last' checks in 'samd_erase' Remove 'first' and 'last' checks in 'samd_protect' since those
	parameters are checked in 'handle_flash_erase_command'.  Change-Id: I30e5598a9ab656d81055f26cc63e291377605300 Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2024 Tested-by: jenkins Reviewed-by: Andrey
	Yurovsky <yurovsky@gmail.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-02-21  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target: make milandr configs swd-compatible Change-Id: Ibb34f0d7829b205341bcce511ffc2624bdfe2c75 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1962 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: fix handle_profile_command variable typo Change-Id: I5d476aecb4622731890e168b1be3173718151e95 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2066 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-01-27  Paul Fertser <fercerpav@gmail.com>

	* : Add xscale debug helper sources and everything related to dist GPL requires providing sources for any derived work. I do not see
	any reason to not include the xscale stuff into release tarballs.  Wildcard matching is used because plain directory name matches
	implicit rule for executables and xscale.c built is errorneously
	attempted, and directory name with a slash duplicates a directory (xscale/xscale) in dist.  Change-Id: Ie0266470dcb97be87a09ba2dda9b3957f7cbc2fa Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1911 Tested-by: jenkins Reviewed-by: Robert
	Jarzmik <robert.jarzmik@free.fr> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-27  Paul Fertser <fercerpav@gmail.com>

	* : Add usb_blaster cheap clone notes to dist Change-Id: Ie9569634415ef76e88d5ca58bae6184838cf7114 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1908 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-27  Paul Fertser <fercerpav@gmail.com>

	* : Move xsvf_tools and remote_bitbang to contrib/ It looks like tools/ should be used only for build tools, and
	contrib/ is a suitable place for everything else.  Change-Id: Iddaebba0acb6d66404912ec96749b46e4be643d8 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1906 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-27  Paul Fertser <fercerpav@gmail.com>

	* : Move ocl (at91sam7x flash loader) sources to contrib Change-Id: Ib5c3c505a067d0e285a7b074cb6fddebfa6dda1e Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1904 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-03-17  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: remove magic numbers for number of core registers Change-Id: I4296b812f0211011ccf3da8d203545dfba493903 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/2053 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-03-15  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : nrf51: Fix incorrect flash writing sequence nRF51 doesn't have any sort of flash page cache so we need to write
	all of the data on the word-by-word basis and poll for "Flash Ready"
	bit each time.  Signed-off-by: Andrey Smirnov <andrew.smirnov@gmail.com> Change-Id:
	I8caffbf69ebf9a69915724704ddbe270d1bb8d92 Reviewed-on:
	http://openocd.zylin.com/2050 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-03-01  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : nrf51: Add UICR writing support SoftDevice stack ihex binary, provided by Nordic expects being able
	to write data necessary for its correct operation at the adresses
	inside UICR.  This patch exposes UICR region of flash as a second
	bank on the MCU to facilitate that.  Signed-off-by: Andrey Smirnov <andrew.smirnov@gmail.com> Change-Id:
	Idbc140b8de027f60655f78043877b7c054eb06f9 Reviewed-on:
	http://openocd.zylin.com/2013 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com>

2014-03-18  Franck Jullien <franck.jullien@gmail.com>

	* : cfg: or1k_generic: allow TAP_TYPE override This patch allows users to specify TAP_TYPE from the command line
	when using or1k_generic.cfg.  Change-Id: I9f4b7d8e4867658fa34bb4e92fc3a5f25227df11 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2056 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-03-21  Tim Sander <tim@krieglstein.org>

	* : tcl: add Zynq-7000 target and Zedboard board configs Change-Id: Ia7f2a57d1b32dda9936ad87e22635f7749ff3ce1 Signed-off-by:
	Tim Sander <tim@krieglstein.org> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/2061
	Tested-by: jenkins

2014-03-07  Andrey Yurovsky <yurovsky@gmail.com>

	* : jlink: add support for Jlink-OB (0x0105) devices The JLink-OB (onboard) devices work the same way as the normal JLink
	except that their PID is 0x0105 (and that's the only one we know of
	so far) and their endpoint addresses are different due to there
	being a CDC-ACM interface as well.  These JLink-OB devices show up
	on a lot of vendors' development kits as an integrated debugger.  This change simply checks whether the adapter we opened has a
	JLink-OB PID and, if it does, uses the JLink-OB endpoints rather
	than the default.  To do this, we add a new routine,
	jtag_libusb_get_pid() to the libusb adapter layer, it in turn just
	calls libusb_get_device_descriptor(), which previously had no
	wrapper.  Also, checkpatch.pl doesn't like the VID/PID macros as defined so I
	moved them to the array itself.  This should have no effect on the
	code.  This change adds the 0102 through 0104 PIDs to openocd.rules as well
	as this new 0105 PID.  Tested on an Atmel SAM4S Xplained board which has a JLink-OB, also
	regression tested by using a 0x0101 PID normal JLink adapter.  Signed-off-by: Andrey Yurovsky <yurovsky@gmail.com> Change-Id:
	I121d30e57729cda3adb66e2a5dc72e1fcb7ef8b1 Reviewed-on:
	http://openocd.zylin.com/2031 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-02-26  Antony Pavlov <antonynpavlov@gmail.com>

	* : top .gitignore: ignore ctags tag files Change-Id: I64538525626688b0cd1eda579294e547a2e40b30 Signed-off-by:
	Antony Pavlov <antonynpavlov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1971 Tested-by: jenkins Reviewed-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-by: Jörg Wunsch
	<openocd@uriah.heep.sax.de> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-02-25  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/tcl: fix segfault on write_image misuse "flash write_image (unlock|erase)" (without filename) was causing
	segmentation fault in strcmp(). This patch fixes it.  Change-Id: Ia3b8c796f4107621d78605c02d2b8e123b1b207b Reported-by:
	ajkroll][ <ajkroll][@irc.freenode.net> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/1970
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-03-22  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : ft2232: Mark interface driver as deprecated Change-Id: I5ebc924ab66c86f1902942bebc203a34d97abc64 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1899 Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-28  Felipe Balbi <balbi@ti.com>

	* : tcl: target: icepick: add icepick_d_tapenable procedure instead of replicating icepick_d_tapenable in many of TI's newer
	platforms, we can move to icepick.cfg and just call it from board
	TCL configuration file.  This is similar to the C but has a few
	changes we need to make.  Change-Id: I0ab48005ccd66cd5b67b919fb5e3b462288f211d Signed-off-by:
	Felipe Balbi <balbi@ti.com> Signed-off-by: Tom Rini <trini@ti.com>
	Reviewed-on: http://openocd.zylin.com/2030 Tested-by: jenkins
	Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2014-02-27  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: change default SAM4L cortex_m reset_config From testing this target does not seem to support using SYSRESETREQ,
	change the default to the safe VECTRESET.  This target also has other reset issues (srst not working) that will
	be addressed in another patch.  Change-Id: Icfc78347dc71aa3a062ddea63190a818d7fbc760 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1995 Tested-by: jenkins Reviewed-by: Angus
	Gratton <gus@projectgus.com>

2014-03-14  Jörg Wunsch <openocd@uriah.heep.sax.de>

	* : Make the Atmel SAM3 family SWD-aware Atmel's SAM3 and SAM4 processor families are very close to each
	other in many respects.  However, so far, only the SAM4 target
	script contained the magic to allow using SWD, while SAM3 was tied
	to JTAG only.  This e.g. prevented the CMSIS-DAP driver from
	accessing SAM3 devices as it only uses SWD transport (by now).  The patch pulls all the things from the SAM4 target script that are
	also applicable to SAM3 devices.  With the patch, an Atmel CMSIS-DAP
	debugger (Atmel-ICE) was proven to be able to successfully attach to
	a SAM3S-EK evaluation kit.  I also cross-checked that accessing
	through a SAM-ICE (Segger J-Link) still works with the patch.  Change-Id: I20dafbff8e1e9f967da950e48a56205586eeef8d Signed-off-by:
	Jörg Wunsch <openocd@uriah.heep.sax.de> Reviewed-on:
	http://openocd.zylin.com/2046 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-14  Jörg Wunsch <openocd@uriah.heep.sax.de>

	* : Prevent segfault when the USB product string cannot be retrieved In the CMSIS-DAP driver, if nothing has been specified by the user,
	an attempt is made to find the first device with the (mandatory)
	substring "CMSIS-DAP" in any USB device's product string.  However,
	while (usually) all devices can be traversed, devices the user does
	not have permission for cannot be read the product string from,
	resulting in a NULL pointer.  Trying to find the substring
	"CMSIS-DAP" causes a segementation fault then.  This has also been filed as Trac bug #67: https://sourceforge.net/apps/trac/openocd/ticket/67 Change-Id: Idfc9f072e34152e9af99fe1c8ec88c99dea4624c Signed-off-by:
	Jörg Wunsch <openocd@uriah.heep.sax.de> Reviewed-on:
	http://openocd.zylin.com/2044 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash: Constify write buffer Change-Id: Ic812098d3ed5a2992c26bb57d08ae350e2c5d5d8 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2040 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-03-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash/efm32: Fix bug in odd byte count padding Change-Id: I7fcd152a8501f399c6ac5a85fd62a84c82b030a0 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2038 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-31  Paul Fertser <fercerpav@gmail.com>

	* : openocd.texi: document Tcl RPC and add an example client This should provide enough information to start using OpenOCD RPC.  I've seen some other example clients in different languages but I
	can't find them anymore, and their legal status was unclear.  Change-Id: I3a95fe361d773040d1e52a62f9cc0cc655019a9f Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1915 Tested-by: jenkins Reviewed-by:
	Andreas Ortmann <ortmann@finf.uni-hannover.de> Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2014-03-07  Paul Fertser <fercerpav@gmail.com>

	* : gdb_server: do not copy feature names for tdesc generation We always have feature names defined by string literals and the
	standard guarantees static storage duration for them. Hence, there's
	no need duplicating and then freeing them.  Valgrind-tested.  Change-Id: I1b77f966c548e3694141c63bd8680735f0f47505 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2028 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-02  Tim Kryger <tim.kryger@linaro.org>

	* : bcm281xx: Add bcm281xx SoC and bcm28155_ap board Add support for Broadcom's dual A9 mobile SoC and its reference
	board.  Change-Id: Ia145b120043bddc89c44726066023154ae390788 Signed-off-by:
	Tim Kryger <tim.kryger@linaro.org> Reviewed-on:
	http://openocd.zylin.com/1926 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-03-07  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : stlink: Use callback to increase frequency of trace data
	sampling The ST-LINK/V2 has limited internal buffering, such that trace data
	can be missed if the target is generating data at a rate quicker
	than the OpenOCD trace sampling. The issue of lost data is
	compounded since individual TPIU packets may be split across
	individual STLINK_TRACE_EP reads, and misleading results can occur
	if mid-packet loss occurs.  This patch increases the frequency of checking for pending trace
	data with the aim of minimising such losses. Note: With the limited
	(I/O and memory) bandwidth of the ST-LINK/V2 there cannot, however,
	be a guarantee against trace data loss.  The timer callback is only added when enabling tracing, and is
	removed when tracing is disabled.  Change-Id: Ibde9794b77793d3068f88cb5c1a26f9ceadcbd8a Signed-off-by:
	James G. Smith <jsmith@ecoscentric.com> Signed-off-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1661 Tested-by: jenkins

2014-03-03  Tom Rini <trini@ti.com>

	* : cfg: Switch ti_beaglebone to new ftdi interface Tested on Beagelbone White.  Change-Id: I544d7c1ba21a6bd594c0a1c4a9611639fa3c320d Signed-off-by:
	Tom Rini <trini@ti.com> Reviewed-on: http://openocd.zylin.com/2017
	Tested-by: jenkins Reviewed-by: Paul Fertser <fercerpav@gmail.com>

2014-02-05  Paul Fertser <fercerpav@gmail.com>

	* : target: add CoreSight PMU and an unidentified component to "dap
	info" Change-Id: I705eae46b190dbd89ab01bc086c49eb04368d9b3 Reported-by:
	Brad Riensche <brad.riensche@gmail.com> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/1928
	Tested-by: jenkins Reviewed-by: Brad Riensche
	<brad.riensche@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-05-29  Chris Johns <chrisj@rtems.org>

	* : targets: Print nested ROM tables with the 'dap info' command.  Move the ROM table printing into a separate function to allow
	recursive calls with nested tables. ROM tables can nest. The
	printing is limited to 16 levels.  Update the types of tables printed. When an entry can't be read,
	print a warning and continue.  Change-Id: Ib134edd9e987af2f5f606071521885b17af4d70f Signed-off-by:
	Chris Johns <chrisj@rtems.org> Reviewed-on:
	http://openocd.zylin.com/1427 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-03-06  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : gdb_server: Fix segfault in (and rewrite) decode_xfer_read Introduced by 537b06a81 (free non-malloced memory).  Rewrite to use standard C string routines and make returning annex
	optional since it's not currently used.  Change-Id: Idf3698a482dfeff7fa5ea1660fd89122eb80b68d Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/2023 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-25  Andrey Yurovsky <yurovsky@gmail.com>

	* : Add support for the Atmel SAMG53 flash: at91sam4: add support for the SAMG53 family (this also covers
	the SAMG51).  The SAMG5x parts have an EEFC (enhanced embedded flash
	controller) which seems to be identical to the EFC that the sam4
	driver supports.  Add a script for the Xplained Pro G53 board, this has the onboard
	CMSIS-DAP debugger and a SAMG53N19.  Tested on this board and chip
	combination.  Change-Id: I12af50402cd2069b3c7380d92e6fe54816d6c045 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1974 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-02  Christian Eggers <ceggers@gmx.de>

	* : gdb_server: fix memory leaks in users of get_reg_features_list() v4: - changed first line of commit message v3: - added extra LOG_ERROR() message v2: - Added missing "goto error" - free also the on extra element of features[] In contrast to target_get_gdb_reg_list(), the list returned by
	get_reg_features_list() consists of items which are itself
	malloc'ed.  --> Free the list items prior freeing the list itself.  Additionally: - gdb_generate_target_description():   o Do error handling similar as gdb_get_target_description_chunk()
	  does.  - gdb_get_target_description_chunk()   o **features must be initialised prior an "goto error" can happen Change-Id: Iad07824618c51084e0aa0499ee6fc96198b320f0 Signed-off-by:
	Christian Eggers <ceggers@gmx.de> Reviewed-on:
	http://openocd.zylin.com/1917 Tested-by: jenkins Reviewed-by: Trevor
	Woerner <trevor.woerner@linaro.org> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-14  Christian Eggers <ceggers@gmx.de>

	* : gdb_server: Don't modify "buf" argument in decode_xfer_read() Make a temporary copy of argument "buf" before modifying it.  This
	requires also returning annex as copy of "buf".  This change is necessary in order to make packet[] "const".  Change-Id: I41eddc2edba1a88384aa7f5591fe50f6ee6a135c Signed-off-by:
	Christian Eggers <ceggers@gmx.de> --- Changelog: v4: - Initialize annex to NULL v3: - Return "annex" as copy instead of removing it.  Reviewed-on:
	http://openocd.zylin.com/1924 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-03  Christian Eggers <ceggers@gmx.de>

	* : gdb-server/rtos: Send correct answer to "qfThreadInfo" packet Even if no RTOS is configured, "qfThreadInfo" must be answered with
	"l" instead of "". Otherwise GDB will switch to the older thread
	packet ("qL"), which is not supported by OpenOCD.  Change-Id: Iead045bdf8268bac2378c8f70829b17c37834e44 Signed-off-by:
	Christian Eggers <ceggers@gmx.de> Reviewed-on:
	http://openocd.zylin.com/1925 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-09  Antony Pavlov <antonynpavlov@gmail.com>

	* : mips32: build register cache in a more clear way This commit is inspired by armv7m_build_reg_cache().  Change-Id: I62b51b2a5f0fed788af167b6f8e60c09b53181be Signed-off-by:
	Antony Pavlov <antonynpavlov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1943 Tested-by: jenkins Reviewed-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-09  Antony Pavlov <antonynpavlov@gmail.com>

	* : drivers/jtag: usb_blaster: make command handlers more strict If user used wrong argument number for some usb_blaster_* commands
	then openocd show just warning message.  This commit makes command
	handler's behaviour more strict and openocd treats wrong argument
	number as an error.  In addition we already have 'help' and 'usage' information in struct
	command_registration ublast_command_handlers[], so we can drop
	redundancy messages in command handlers.  Change-Id: I73b8c75ec60a18e5258a4bdffe972e8a1afc1066 Signed-off-by:
	Antony Pavlov <antonynpavlov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1942 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-23  Joerg Fischer <turboj@gmx.de>

	* : EFM32 Wonder Gecko Family support Add support for EFM32 Wonder Gecko family to flash driver.  This
	family has Cortex M4F core.  Change-Id: If71511015403069e3e30cb9f19df12cd97ac49e8 Signed-off-by:
	Joerg Fischer <turboj@gmx.de> Reviewed-on:
	http://openocd.zylin.com/1968 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-09  Antony Pavlov <antonynpavlov@gmail.com>

	* : usb_blaster: ublast_access.h: add guard macro Change-Id: I10f6e2048cf88f64f5dce275a273783365afd65c Signed-off-by:
	Antony Pavlov <antonynpavlov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1941 Tested-by: jenkins Reviewed-by: Robert
	Jarzmik <robert.jarzmik@free.fr> Reviewed-by: Oleksij Rempel
	<linux@rempel-privat.de> Reviewed-by: Paul Fertser
	<fercerpav@gmail.com>

2014-02-15  Paul Fertser <fercerpav@gmail.com>

	* : ft2232: warn about lack of TRST on "turtle" adapter This patch fixes a build error (assigning a variable to itself) with
	clang.  Since this adapter lacks trst, trying to use it in reset_config will
	fail silently. Warn the user accordingly.  Change-Id: I16fd20936f00d7ff82962f4fcc629ff434aa4dce Reported-by:
	Rainer Müller <raimue@codingfarm.de> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/1946
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-02-21  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : stm32f1x: Fix option byte flag parsing Change-Id: Ifa04e1f215ac5790db3d432cc0d7d532660459f2 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1963 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-02-06  Adrian Burns <adrian.burns@intel.com>

	* : quark_x10xx: add new target quark_x10xx Intel Quark X10xx SoC debug support added Lakemont version 1 (LMT1)
	is the x86 core in Quark X10xx SoC Generic x86 32-bit code is in
	x86_32_common.c/h Change-Id: If2bf77275cd0277a82558cd9895b4c66155cf368 Signed-off-by:
	adrian.burns@intel.com Reviewed-on: http://openocd.zylin.com/1829
	Tested-by: jenkins Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2014-01-18  Paul Fertser <fercerpav@gmail.com>

	* : interface/ftdi/xds100v2.cfg: default to reset state and ask user
	to release it later This adapter is special and needs a reset sequence to be performed
	before operation. Since there're no suitable hooks to do that, we
	have no choice but to ask the user to manually add the necessary
	commands to his or her config file.  Change-Id: I48fb4276e77529768266840221b68c3ae26801e1 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1884 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-10-29  Paul Fertser <fercerpav@gmail.com>

	* : cortex_a: do not try to use MMU for translation if it wasn't
	enabled on target stop On a target where AHB AP memory access is unavailable, care should
	be taken to avoid treating addresses as virtual if the MMU was
	disabled at the time the target was stopped.  Without this it's impossible to peek memory with Gdb when debugging
	e.g. a bootloader because cortex_a8_read_memory() unconditionally
	tried (and failed because of a sanity check in cortex_a8_mmu_modify)
	to enable MMU.  Change-Id: Id7c63f4912920fb71a6104226ec6428d18c96a56 Reported-by:
	mbm@openwrt.org Signed-off-by: Paul Fertser <fercerpav@gmail.com>
	Reviewed-on: http://openocd.zylin.com/1787 Tested-by: jenkins
	Reviewed-by: Andreas Fritiofson <andreas.fritiofson@gmail.com>

2014-01-20  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: declare fixed arrays const Change-Id: Id06b8b53ec59a7b3182f60f51dde5b16563aaeef Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1887 Tested-by: jenkins

2014-01-17  Paul Fertser <fercerpav@gmail.com>

	* : flash/nor/stm32f1x: fix format specifiers warning Caught by clang on OS X. Reported by Steffanx on IRC.  Change-Id: Id77c7297c58e58c4e2aa8e5dafcb3a29a1f33f3d Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1879 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-17  Paul Fertser <fercerpav@gmail.com>

	* : server/gdb_server: fix uninitialised variable warning Caught (breaks build) with clang 3.3.  Change-Id: I5978fe34e82122f62e3d587bcdc45ad12f5e55ca Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1877 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-24  Spencer Oliver <spen@spen-soft.co.uk>

	* : doc: add missing reg command argument 'force' The argument 'force' enables a user to bypass the internal cache and
	read a target register directly. However it is missing from the user
	guide.  Change-Id: I26f689eec20b38a0dc5294626b25df566b554446 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1897 Tested-by: jenkins

2014-01-22  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : kinetis : improve kinetis flash driver.  Kinetis K-series have different guranuarity for each frequency
	model.  This patch adding more minute guranuarity detection.  And
	adopted mass erase command not only L-series but also K-series.
	Tested on MK20DX32VLF5,MK10DX32VLF5,and MKL25Z128VLK4.  Change-Id: Iffef850d4b388463756a13faf02c3890bfc19acf Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/1894 Tested-by: jenkins Reviewed-by: Per
	Ekman <pekenator@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Reviewed-by: Mateusz Kaduk
	<mateusz.kaduk@gmail.com>

2014-01-22  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: LPC17xx default to using SYSRESETREQ to reset target Originally the LPC17xx user guide (UM10360 Rev 2) stated that
	SYSRESETREQ was not supported, so this was the default cortex_m
	reset mode.  Rev 3 of the same user guide states that it is now supported.  This
	has been verified on a LPC1768 mbed platform, previously I have not
	tested this functionality.  Change-Id: I4858248903981a1c93ce75016e67c9e02702fcc5 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1892 Tested-by: jenkins Reviewed-by: Jörg
	Fischer <turboj@gmx.de> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-11-26  Paul Fertser <fercerpav@gmail.com>

	* : arm920t: fix write memory operations with caches enabled Commit ff5ec942d80a34e20b5a3ca3328f7e6a55fb309b made this target
	always use generic arm7_9 memory write routines for software
	breakpoints which resulted in inability to debug and single-step
	sources in Gdb when icache is active as generic routine doesn't
	invalidate it. This should fix it (and is real-life tested against
	Samsung S3C2442). I expect other arm7-9 targets to be affected as
	well.  Change-Id: Id7980e370ae4db47ac6b1490321d81ffe85711c0 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1817 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2014-01-20  Peter Lawrence <majbthrd@gmail.com>

	* : CMSIS-DAP: auto-detect CMSIS-DAP USB VID:PID The current OpenOCD implementation requires CMSIS-DAP adapter USB
	VID:PID values to either be hard-coded in the source or manually
	supplied by the user's configuration files.  The CMSIS-DAP
	specification stipulates that all compliant adapters should have
	"CMSIS-DAP" in the product string.  This should obviate the need for
	hard-coding.  This patch was previously submitted as changes 1882, 1883, and 1886
	but amendments failed to be registered by the server.  The
	functionality was changed from 1886 in response to comments so that
	user-supplied VID:PID values overrided the CMSIS-DAP auto-detect.  Change-Id: Ifb2dc217248359f448e0a42bd1527dd744c434b0 Signed-off-by:
	Peter Lawrence <majbthrd@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1888 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-18  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : doc: Add Gerrit to the Developer resources section Change-Id: Icbf2050967cea06b05a09574a6a91ce1407a489f Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1885 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-06  Paul Fertser <fercerpav@gmail.com>

	* : gdb_server: check for invalid read memory requests This prevents invalid free(NULL) (that crashes OpenOCD on desktop
	distros).  With radare2 it's now a bit more useful, memory access works if I
	seek to the correct address, can't test further as it apparently
	lacks thumb2 support.  Change-Id: I6ec32d09fd52dab53ba765d7f7519baa1f55d973 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1853 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-03  Franck Jullien <franck.jullien@gmail.com>

	* : jtag/drivers: add USB-Blaster II This patchs adds a new access driver for the existing USB-Blaster
	interface driver.  This interface (as it is build-in on the sockit development board)
	is composed of a Cypress EZ-USB plus a CPLD.  The Cypress chip as an embedded 8051 microcontroller.  When it's
	powered up, the firmware is downloaded to the chip then the device
	is disconnected and reconnected with the new firmware.  The USB-Blaster II protocol is almost identicial to the old one. The
	only difference is that you need to send a 0x5F before read TDO
	back. This command seems to copy TDO buffer datas to the endpoint
	buffer.  Driver will be auto enabled if libusb-1.0 is detected.  Change-Id: I562a720a68cb4dcabeab791947d5d38776cb70fa Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1791 Tested-by: jenkins Reviewed-by: Robert
	Jarzmik <robert.jarzmik@free.fr> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2014-01-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: fix typos Change-Id: Icdb517224e8bcf41a16498088e09955048077d35 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1864 Tested-by: jenkins Reviewed-by: Bill
	Traynor <btraynor@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-11-04  Hsiangkai Wang <hsiangkai@gmail.com>

	* : Conform to C99 integer types format specifiers Review and modify to conform to C99 integer types format specifiers.
	Use arm-none-eabi toolchain to build successfully.  Change-Id: If855072a8f88886809309155ac6d031dcfcbc4b2 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Signed-off-by: Hsiangkai
	<hsiangkai@gmail.com> Reviewed-on: http://openocd.zylin.com/1794
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-12-23  Andrey Yurovsky <yurovsky@gmail.com>

	* : Atmel samd: add support for SAMD21 Tested with SAMD21J18A on the SAMD21 Xplained Pro board.  Change-Id: Ice9ebcd229ed038b3193baf92d910f9256d7ce91 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1873 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-29  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : adi_v5: Remove unnecessary MEM-AP access functions It's far nicer to pass a size parameter than to split the calls to
	separate wrappers which are combined to a single function anyway.  Change-Id: I716741ebf916f6f8e9358a31c8f4fe761107c82f Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1847 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-29  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : target: Add test bench for memory access functions Change-Id: I86e6fe4d0b4d580389ae5e1d3f4813d1e25b2613 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1629 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-11  Robert P. J. Day <rpjday@crashcourse.ca>

	* : A few more grammar and typo fixes from the User's Guide.  More cleanup from some of the later chapters from the User's Guide,
	no functional changes.  Change-Id: Ib2860fc2574503e8107935d79db45fa96014fe3a Signed-off-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1863 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-10  Robert P. J. Day <rpjday@crashcourse.ca>

	* : Proofreading, typo and grammar fixes to Ch 10 User's Guide.  Various cleanups to Chapter 10 of the User's Guide, no functional
	changes.  Change-Id: I055d032eacc8e85b1d8edbd4bcc505f6f0feaa49 Signed-off-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1861 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-03  Andrey Yurovsky <yurovsky@gmail.com>

	* : add support for Atmel SAMD NOR Flash This adds a new NOR Flash driver, "at91samd", which supports the
	built-in Flash on Atmel's D-series Cortex M MCUs, starting with the
	D20.  Parts and their geometry are detected automatically using the
	DSU and lookup schemes described in the D20 document,
	42129F–SAM–10/2013.  Future D-series variants and families
	should presumably use this controller as well (possibly with minor
	changes and improvements).  Tested on the SAMD20 Xplained Pro board, for which we also add the
	corresponding Flash configuration.  Change-Id: Id8d3dd601e9f53121682d1a1190d0be4ea3b83eb Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1684 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-04  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add initial Atmel xplained kit support These kits feature a CMSIS-DAP compliant debugger and so have been
	added as part of the pending support.  Currently the flash drivers for the L8 and D20 are wip.  One issue this implementation of CMSIS-DAP raised is that it
	supports 512byte HID reports, however using the current HIDAPI we
	have no cross platform way of querying this info. Long term we plan
	to add this support to HIDAPI.  Change-Id: Ie8b7c871f58a099d963cd71a9f8a0105a38784e9 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1625 Tested-by: jenkins

2013-12-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : cmsis-dap: add initial cmsis-dap support This is based on work from:
	https://github.com/TheShed/OpenOCD-CMSIS-DAP/tree/cmsis-dap Main changes include moving over to using HIDAPI rather than
	libusb-1.0 and cleaning up to merge into master. Support for reset
	using srst has also been added.  It has been tested on all the mbed boards as well as the Freedom
	board from Freescale. These boards only implement SWD mode, however
	JTAG mode has been tested with a Keil ULINK2 and a stm32 target -
	but requires a lot more work.  Change-Id: I96d5ee1993bc9c0526219ab754c5aad3b55d812d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Signed-off-by: Andrey Yurovsky
	<yurovsky@gmail.com> Reviewed-on: http://openocd.zylin.com/1542
	Tested-by: jenkins

2013-12-30  Paul Fertser <fercerpav@gmail.com>

	* : tcl/netgear-dg834v3.cfg: add to easy firmware recovery list Change-Id: I6e5205ec41c58dc2fe3fb0051c30918507ef1e88 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1851 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-31  Paul Fertser <fercerpav@gmail.com>

	* : tcl/board: add Linksys WRT54GL v1.1 board config Tested flashing a real v1.1 device.  Change-Id: Ie0d202b9fded8b92e731d93e0ef17be415a75fc8 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1852 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-08  Robert P. J. Day <rpjday@crashcourse.ca>

	* : Allow "tcl_port" to be run after config to simply display the
	port.  To be consistent with gdb_port and telnet_port, allow tcl_port to be
	run to display the configured port number, while still not allowing
	the user to change it after configuration.  Change-Id: Ibe6aedb3bd447f2985e42dd8246358481a047dd6 Signed-off-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1857 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2014-01-08  Robert P. J. Day <rpjday@crashcourse.ca>

	* : Numerous pedantic fixes to the User's Guide, including typo
	fixes, grammar fixes and so on.  Change-Id: Iaeb603447ecd9f77f1d49ce77044431442f4f219 Signed-off-by:
	Robert P. J. Day <rpjday@crashcourse.ca> Reviewed-on:
	http://openocd.zylin.com/1855 Reviewed-by: Bill Traynor
	<btraynor@gmail.com> Tested-by: jenkins Reviewed-by: Francois
	Lorrain <francois.lorrain@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-12-24  Franck Jullien <franck.jullien@gmail.com>

	* : target/image: allow for comments in IHEX files This is not in the Intel hex file format specification but some hex
	files may include comments (i.e. Altera USB-Blaster II firmware)
	starting with '#'.  This patch makes image_ihex_buffer_complete_inner to skip comment
	lines.  Change-Id: Id1f57d84d75da45e592f1c72b2b8c29193bc14e3 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1842 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-29  Per Ekman <pekenator@gmail.com>

	* : kinetis : Add timeouts to flash status checking in
	dap_syssec_kinetis_mdmap().  Change-Id: Ifc8fe7aa4c2a40a78fa0655435e82418f549bad3 Signed-off-by:
	Per Ekman <pekenator@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1819 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-29  Per Ekman <pekenator@gmail.com>

	* : kinetis : Detect MCU flash parameters based on the SDID
	register.  Try to detect the flash parameters based on the MCU SDID register.
	The hope is that this works for K and KL series MCUs but it has only
	been tested on a K21. YMMV.  Change-Id: Idfe71383a449065267f393b09ee3c3b24ac6a803 Signed-off-by:
	Per Ekman <pekenator@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1823 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-07-27  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Remove special handling of script search path on Windows On all platforms, search for scripts in $HOME/.openocd
	${run_prefix}${pkgdatadir}/site ${run_prefix}${pkgdatadir}/scripts On Windows, set run_prefix to the runtime path of the executable,
	minus ${bindir}. This is to enable the install dir to be moved
	anywhere, as long as the structure of the install dir is kept
	intact. On all other platforms, run_prefix is empty.  The script paths can now be adjusted on Windows builds the normal
	way; by overriding pkgdatadir at build time. For example, to create
	a Windows package layout of bin/openocd.exe scripts/interface/...  scripts/target/...  you can do configure --prefix= --enable-... and then make
	pkgdatadir= DESTDIR=/some/path clean all install Also, remove the unused PKGLIBDIR define.  Change-Id: If2c8228fc80c598d763efad21c5f51695ff9b6cf Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1796 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-12-18  Ed Maste <emaste@freebsd.org>

	* : Avoid 'may be used uninitialized' warning from FreeBSD base GCC Change-Id: Ice2472bf7a467652485a5a8c36880c6a47d64c6c Signed-off-by:
	Ed Maste <emaste@freebsd.org> Reviewed-on:
	http://openocd.zylin.com/1835 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-12-21  Franck Jullien <franck.jullien@gmail.com>

	* : jtag_vpi: fix build errors under MinGW Change-Id: Ic13f9982014ead811e2f2d737ca1621e0e85577e Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1839 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-22  Sergey A. Borshch <sb-sf@users.sourceforge.net>

	* : at91sam7sx.cfg: fix use $_TARGETNAME as target identifier, not
	'0' warning all other at91 cfg files already has this fix.  It also fix "No
	flash at address 0x...." error when JTAG chain consist of more than
	one at91sam7sx cores during attempt to flash other than first mcu in
	chain.  Change-Id: I7785d9103d0fc494b6a823e2c73f850373ffe112 Signed-off-by:
	Sergey A. Borshch <sb-sf@users.sourceforge.net> Reviewed-on:
	http://openocd.zylin.com/1812 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-22  Sergey A. Borshch <sb-sf@users.sourceforge.net>

	* : fix flash bank auto_probe() fail with multiple targets   get_flash_bank_by_addr() iterates through all flash banks trying
	to auto_probe() every bank, even if bank can belongs to target other
	than requested, and this other target can be in non-halted state,
	which leads to error message and operation abort.    Same situation in gdb_new_connection() and gdb_memory_map():
	get_flash_bank_by_num() tries to auto_probe() requested bank, so
	first get bank by get_flash_bank_by_num_noprobe(), check if it
	belongs to current connection's target and skip
	get_flash_bank_by_num() (actually autoprobing) if not.  Change-Id: I48b3f93dddcd9283394f14ad2de3248397c75ab3 Signed-off-by:
	Sergey A. Borshch <sb-sf@users.sourceforge.net> Reviewed-on:
	http://openocd.zylin.com/1813 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2013-11-26  Paul Fertser <fercerpav@gmail.com>

	* : tcl/target: add config for Milandr's 1986ве1т controller This is a Cortex-M1 controller targetting aviation appliances.  Contributed (and live-tested) by 8daemon.  Change-Id: I133d6122cf6492b51ddbdbd800c16ba121d51bf3 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1818 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-10  Sergio Chico <sergio.chico@gmail.com>

	* : topic: Support for the Xilinx BSCAN_* Virtual JTAG in Openrisc This add support to the Xilinx BSCAN_* virtual JTAG interface.  This
	is the Xilinx equivalent of the Altera sld_virtual_jtag interface,
	it allows a user to connect to the debug unit through the main FPGA
	JTAG connection.  Change-Id: Ia438e910650cff9cbc8f810b719fc1d5de5a8188 Signed-off-by:
	Sergio Chico <sergio.chico@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1806 Tested-by: jenkins Reviewed-by: Franck
	Jullien <franck.jullien@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-12-13  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: revert incorrect stm32f1 default_padded_value Commit 2493671e2d9c352ea70edc8665b4c8f172ef1141 added a default
	flash padded value to the wrong file, should have been stm32lx.c not
	stm32f1x.c.  Change-Id: Idab634a03ccb28609cc977a92ac2b138d1e8d859 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1833 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-11-15  Dongxue Zhang <elta.era@gmail.com>

	* : [PATCH 1/2]support64: Add functions into types and target Add functions into types.h, target.c, target.h to operate 64bits
	data.  Prepare for 64bits mips target.  Change-Id: I668a8a5ac12ba754ae310fa6e92cfc91af850b1c Signed-off-by:
	Dongxue Zhang <elta.era@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1700 Tested-by: jenkins Reviewed-by:
	Mathias Küster <kesmtp@freenet.de> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-10-24  Per Ekman <pekenator@gmail.com>

	* : kinetis : Add flash sector size detection for K21 MCU.  The current way of detecting the sector size of the internal flash
	does not work for all Kinetis MCUs. Add support for the K21 flash by
	detecting the specific model from the SDID register and picking the
	correct sector size based on that.  Change-Id: I41f678353e45a44561af8a3398bdd4479dfeea4f Signed-off-by:
	Per Ekman <pekenator@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1764 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-24  Per Ekman <pekenator@gmail.com>

	* : kinetis : Fix broken check for mass erase.  If the flash is not ready (MDM_STAT_FREADY is 0) then
	dap_syssec_kinetis_mdmap() would act as if the MDM_STAT_SYSSEC bit
	was set and erase the flash. Wait until MDM_STAT_FREADY is set
	before checking the MDM_STAT_SYSSEC bit.  Change-Id: I5c3352f625599016625ed9be8787033f49bfacea Signed-off-by:
	Per Ekman <pekenator@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1762 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-24  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: use target_buffer_set_u32_array Attempt to use target_buffer_set_u32_array to convert to target
	endian arrays rather reimplementing code.  This also removed cfi_fix_code_endian as its functionality is also
	repeated.  Change-Id: I7c359dbe46ea791cd5f6fb18d8b0fb6895c599d3 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1783 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-11-03  Paul Fertser <fercerpav@gmail.com>

	* : jtag: fix support for really long scans When programming large FPGAs the generated SVF files might contain
	really long SDR scans. They won't fit in the 1MiB jtag scan page at
	all, so in this case the allocated page needs to be bigger. The
	current code was silently corrupting memory.  One particular example was sent by Volter targetting XC3S4000. It
	has an SDR 11316992 bits long, that is 1414624 bytes.  Change-Id: I39f18d7e0654f2dbdf37df58c837c9ec1fb2aa2a Reported-by:
	"Voltner, Jiří" <j.voltner@era.aero> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/1792
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-10-30  Andrey Yurovsky <yurovsky@gmail.com>

	* : add TI TMS570 support scripts Add support for the TMS570 Cortex-R4 MCU from TI and their USB stick
	development kit, TMDX570LS31USB.  Tested attaching, reset/halt/run,
	and reading and writing memory and registers.  Change-Id: I12d779cef0c2b834f9bcf722307f35677cc4bd8f Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Signed-off-by: Andrey Smirnov
	<andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1788 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-11-05  Alan Bowman <alan.michael.bowman@gmail.com>

	* : Correct argument numbering in trace command The trace command was opening a file named with the source
	frequency.  This change correctly passes the filename that is
	specified.  Change-Id: Ia2eb8eda0e1e0f4f44b05c3a0ce7bef3bda51446 Signed-off-by:
	Alan Bowman <alan.michael.bowman@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1800 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-24  Mathias K <kesmtp@freenet.de>

	* : target: fix mem2array/array2mem  if data size is bigger than transfer buffer, all portions are  transferred from/to the same target address - address advance  after successful transmission missed.  Change-Id: I79a6c388af197ac062d2807e397a2d7947400520 Signed-off-by:
	Sergey A. Borshch <sb-sf@users.sourceforge.net> Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/1679 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: jenkins

2013-09-29  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : ti_icdi_usb: Remove unnecessary casts and fix byte order bugs Found by grepping for pointer casts.  Some additional cast can be removed if hexify/unhexify arguments are
	changed to a more suitable type.  Change-Id: I13796b056f00976979bf0e754de3aa7648f7f321 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1778 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : binarybuffer: Remove unnecessary cast and fix hidden "bug" Because of the cast, the const decoration on the parameter provided
	no guarantee against modification since it was silently discarded.  Change-Id: Ib83ade955e1a61ee2175c690620437b5e19cbb6a Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1776 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : str7x: Fix byte order bug Found by grepping for pointer casts.  Change-Id: I56d5680590e37d8c61197488067fbb0776e5e0f0 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1774 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : pic32mx: Fix byte order bug Found by grepping for pointer casts.  Change-Id: If73184a16904ec2958e7253ba98f44479fdcad3f Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1772 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : aduc702x: Fix byte order bug Found by grepping for pointer casts.  Change-Id: I00e000515cb2573130b73423eb19ba941f524b05 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1769 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Remove unnecessary casts Change-Id: Ia97283707282ccccdc707c969f59337313b4e291 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1767 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Remove unnecessary (void *) When pointer casts are needed, cast directly to the correct type,
	instead of going via void*.  Don't explicitly cast to void* if it would have been done
	implicitly.  Change-Id: I4093209200051c5eb62847d00a4b9c8567480068 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1669 Tested-by: jenkins Reviewed-by:
	Mathias Küster <kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-10-31  Paul Fertser <fercerpav@gmail.com>

	* : ftdi/tumpa.cfg: enable proper output buffer control, add another
	USB ID The schematics used for writing the config file were incorrect, real
	hardware needs ACBUS3 _low_ as it's connected directly to the output
	buffer's !OE pin.  Also apparently sometimes TUMPA comes with default FTDI IDs.  Real-life tested (including TRST and SRST) with a custom stm32f103
	board, thanks to Mike Wang for the adapter sample.  Change-Id: Iab566e6d14f8392030f6ff2c8d976e1b57cf5ce6 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1789 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-26  Paul Fertser <fercerpav@gmail.com>

	* : checkpatch: correct false positives reporting instructions Change-Id: Ib45d3db4436a5df5215f2c2d8b8f9a6d48d5f348 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1786 Tested-by: jenkins Reviewed-by:
	Mathias Küster <kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-25  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex_m: set fpb_enabled on enabling fpb If the fpb_enabled is not set then as part of
	cortex_m3_set_breakpoint we enable the fpb, however we do not signal
	the fpb as being enabled.  This issue only effects the hla target as the current cortex_m code
	enables the fpb during cortex_m3_endreset_event.  Change-Id: I44d3fc65916c131b7a226869dd16aed5afb441b4 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1634 Tested-by: jenkins

2013-10-24  Thomas Schmid <thomas.schmid@gmail.com>

	* : sam4s flash: fix PLLA frequency calculation if diva > 1 The code didn't address the case where diva is bigger than 1.  Change-Id: I15d8c47aa7b5cf80df1f29e067f30575f5d60a90 Signed-off-by:
	Thomas Schmid <thomas.schmid@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1765 Tested-by: jenkins Reviewed-by:
	Mathias Küster <kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-10-13  Paul Fertser <fercerpav@gmail.com>

	* : Remove jtag_rclk from target configs Some boards might have RCLK omitted from the JTAG connector and if
	the interface claims support for it, OpenOCD will end up trying to
	use RCLK while it's actually impossible.  This is a "cd tcl/target; sed -i s/jtag_rclk/adapter_khz/g *" patch.  Change-Id: Iee7337107bc1457966b104389ba9db75a9c860b4 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1695 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Mathias Küster
	<kesmtp@freenet.de>

2013-10-26  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : lpc2000: Fix flash programming fail on LPC4300 internal flash LPC43xx with internal flash parts model needs "IAP Init(49)"Command
	before erase & write internal flash.Tested on a LPC4337 and LPC4357.  Change-Id: I48620ce12e578c61a3ca1adcd48815c1f71c35bb Signed-off-by:
	Nemui Trinomius <nemuisan_kawausogasuki@live.jp> Reviewed-on:
	http://openocd.zylin.com/1784 Tested-by: jenkins Reviewed-by: Jens
	Bauer <jens@gpio.dk> Reviewed-by: Mathias Küster
	<kesmtp@freenet.de> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-10-21  Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>

	* : Fix ULINK driver dependencies in configure.ac Commit dd6274deed65c47ba2ef46e14259167d393399d8 (see
	http://openocd.zylin.com/#/c/1475/ for futher information) adds the
	wrong libusb dependency for the ULINK driver (libusb-0.1), when in
	fact the ULINK driver uses the libusb-1.0 API since commit
	f684252b2530d86f3a8330940105b86c770231f1.  Change-Id: I6946f1fdc0e26bfc7bdcff27a721e05a05b464a5 Signed-off-by:
	Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>
	Reviewed-on: http://openocd.zylin.com/1699 Tested-by: jenkins
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2013-10-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add STM32F429 discovery board config Change-Id: I4ee7a8185a02fac9d1f6079ab34d6a9f7047193a Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1691 Tested-by: jenkins

2013-10-05  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : nds32: Remove unused declaration Change-Id: Ie0df720b2adacc8f10474f88f15142fa94c388b8 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1686 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-05  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : arm7_9: Avoid infinite loops in bulk write dispatching Add a mandatory field in struct arm7_9_common for regular,
	non-optimized memory writes. Together with the existing
	bulk_memory_write field, this allows variants to select any
	combination of implementations for regular and bulk writes, without
	risking infinite loops from accidentally using bulk writes for
	implementing bulk writes.  ARM 7/9 targets may now select arm7_9_memory_write_opt as their
	target.write_memory implementation, which will dispatch to
	arm7_9_common.bulk_write_memory if possible, or fallback to
	arm7_9_common.write_memory otherwise.  To avoid loops, bulk write implementations mustn't call any other
	functions than arm7_9_write_memory_no_opt() to write memory; it will
	unconditionally call arm7_9_common.write_memory. If they fail, they
	should simply return error to allow the caller to fallback to
	regular writes.  Tested on a regular ARM7TDMI only.  Change-Id: Iae42a6e093e2df68c4823c927d757ae8f42ef388 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1685 Tested-by: jenkins Reviewed-by: Sergey
	A. Borshch <sb-sf@users.sourceforge.net> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-10-13  Franck Jullien <franck.jullien@gmail.com>

	* : openrisc/du_adv: check or1k_adv_jtag_init return value Change-Id: I784c16b8137b4269254c86007e6766b1a2297aa2 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1693 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-10-03  Franck Jullien <franck.jullien@gmail.com>

	* : jtag_vpi: use DIV_ROUND_UP Change-Id: I31d315a79a1587d7873c5b8713daf8276fa146d0 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1683 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-20  Andrey Yurovsky <yurovsky@gmail.com>

	* : sam4s flash: remove unused bootstrap routine Remove the static const array containing ARM instructions for a
	bootstrap program.  Despite what the comment says, the DAP can write
	to the Flash and in fact this program is not referenced anywhere in
	openocd so it's a bit confusing having it in there.  There should be
	no functionality change from this.  Change-Id: I4ca4206f090a896628ee9b675d1f04450ada1563 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1641 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-10-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex_m: target implementation renames cortex_m3 to cortex_m We changed the actual target name quite a while ago.  This changes
	the actual target function names/defines to also match this change.  Change-Id: I4f22fb107636db2279865b45350c9c776e608a75 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1626 Tested-by: jenkins

2013-10-07  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : stm32f2x: Fix sector numbering for dual bank flash erase Reference: RM0090 rev 5.  Change-Id: I9f7ae09c0ba91d166aebcdc25300d0ca58a5a56d Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reported-by: Nader
	Shehayed <nshehayed@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1689 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add padded_value cmd This adds support for setting the default value used when padding
	image sections. Previously 0xff was used but some targets have an
	erased value of 0x00.  Change-Id: If3df6fea3abf95b09daa3ff7be362acf991070ce Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1635 Tested-by: jenkins

2013-10-03  Sergey A. Borshch <sb-sf@users.sourceforge.net>

	* : fix lpc2000 flash programming fail.   some members of lpc2000_info structure sometimes used uninitialized  (cmd51_can_64b for all LPC except LPC800 as example).    Init allocated lpc2000_info structure with zeros to avoid this and
	  similar bugs in the future.  Note: maybe discarding all
	cmd51_can_XXXb fields and using cmd51_dst_boundary instead will be a
	better solution.  Signed-off-by: Sergey A. Borshch <sb-sf@users.sourceforge.net>
	Change-Id: Idf116a5b0bf4ea1c39ea0ce308ec2c13bfbd4d8c Reviewed-on:
	http://openocd.zylin.com/1676 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Nemui
	Trinomius <nemuisan_kawausogasuki@live.jp>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : jtag/tcl: Avoid casting away const Here, in_value == out_value, so free the non-const one.  Change-Id: I017ad9e7519711ac0c9da79265be7daaa846f356 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1667 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : jtag/tcl: Fix double free in jtag newtap argument parsing Found when grepping for void* casts. I'm pretty sure there are about
	*picking a number out of the blue* 0.31 bugs per pointer cast in
	OpenOCD.  Verified by valgrind, i.e.: valgrind openocd -f
	interface/jtagkey.cfg -c "jtag newtap dummy cpu -irlen foo" Change-Id: Idc12e8f18036cc908fdb572828fa46563be14242 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1665 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-29  Paul Fertser <fercerpav@gmail.com>

	* : hla: if the idcode callback returns 0, treat as a wildcard Also document the callback accordingly.  Change-Id: I7e8ef481e8b5391b763b7f7187fac023e9fe04df Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1673 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-21  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash/nor: Make info function optional Remove lots of no-op or dummy info function implementations and
	check if it's implemented before invoking it.  Change-Id: I2144dad6a84a80359bb13a8a29a4614387e4c135 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1642 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-25  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : arm_adi_v5: Rewrite MEM-AP transfer implementation Create a single pair of relatively simple functions to handle all
	variants of MEM-AP transfers. This replaces the many separate
	functions that handled different access sizes and packed or
	non-packed transfers, which were all implemented rather differently.  With this single implementation, performance should be more
	consistent, regardless of transfer type.  Change-Id: I89960e437fc6ba68a389c074fab8eac91abcf844 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1658 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-22  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : arm_adi_v5: Fix packed transfers crossing TAR auto-increment
	block The word count returned from max_tar_block_size() was compared with
	the count of half-word/bytes in the u16 and u8 packed access
	functions, causing an infinite loop if the access actually crossed
	the boundary.  Change max_tar_block_size() to return a byte count, and scale at the
	call site.  Change-Id: I2fe9b5941eb485f3d8219cfdd29fb71e02006de4 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1649 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-08  Franck Jullien <franck.jullien@gmail.com>

	* : Add new target type: OpenRISC Add support for OpenRISC target. This implementation supports the
	adv_debug_sys debug unit core. The mohor dbg_if is not supported.
	Support for mohor TAP core and Altera Virtual JTAG core are also
	provided.  Change-Id: I3b1cfab1bbb28e497c4fca6ed1bd3a4362609b72 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1547 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-06-17  Philip Craig <phil@blackmoth.com.au>

	* : jlink: improve USB read during jlink_tap_execute Previously, when doing EMU_CMD_HW_JTAG3 commands we would do two
	reads, one to read the data, and one to read the result. However, we
	can just do a single larger read instead.  The motivation for this change is a weird problem. If I run the
	Segger software before running OpenOCD, then the first read always
	fails: Error: usb_bulk_read failed (requested=1, result=0) Error:
	jlink_tap_execute, wrong result -107 (expected 1) Sniffing the USB traffic shows that the J-Link is returning an
	overflow error, meaning it is expecting to return the full result in
	a single read.  Change-Id: I75e020d3b3732c9a74ee3d31838fdf17a7fac24c Signed-off-by:
	Philip Craig <phil@blackmoth.com.au> Reviewed-on:
	http://openocd.zylin.com/1447 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-21  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : jlink: Replace crazy home cooked assertion with a real one Change-Id: I83d66ddef34965dd94a0ff76aa1367cc9d19f2df Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1644 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-17  Søren Jørvang <jorvang@users.sourceforge.net>

	* : bus_blaster: do not fail on missing get_latency_timer Patch submitted from Trac #64 Seems certain clones do not correctly
	emulate the ftdi chip, if the call to read the latency timer fails
	then do not treat this as a failure.  Change-Id: Iae671b926d101adf1010639d11ca46c58d0af524 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1627 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com>

2013-09-18  Spencer Oliver <spen@spen-soft.co.uk>

	* : hla: move memory read/write functionality to driver Due to issues reported when using the jtag mode of the stlink (see
	Trac #61), the functionality/checking has been moved to the driver.  This change also fixes unaligned 32bit memory read/write for the
	stlink.  From testing this change also brings a 3KiB/s speed increase, this
	is due to the larger read/write packets.  Change-Id: I8234110e7e49a683f4dadd54c442ecdc3c47b320 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1632 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : hla: cleanup read/write api This is the first part in moving the adapter specific api back into
	the driver.  The next task is to also move the hla read/write buffer size
	handling.  Change-Id: I86a19144b50b6de18659bfcd05b3729b2cafc051 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1621 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-13  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: add gdb target description support Change-Id: I7c01109c0b85d208fb04a7ae1185fab4b2ab96b8 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1620 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-13  Spencer Oliver <spen@spen-soft.co.uk>

	* : gdb: enable target description support by default This enables gdb target description support by default, it will
	check that this is supported by the active target.  Change-Id: Iea5a5b94c5e373af30dacb780020b79536caa1e3 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1618 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-12  Spencer Oliver <spen@spen-soft.co.uk>

	* : gdb: add default description reg types Add support for the default gdb register description type "int" and
	"float".  When this is given to gdb it will use the bitsize to
	determine the reg size.  Change-Id: Iaeed594d1feece54044128eae1baff9858bdcae0 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1622 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-18  Spencer Oliver <spen@spen-soft.co.uk>

	* : adiv5: check packed transfers are supported Currently we try and use MEM-AP packed transfers as much as possible
	for 8/16bit transfers. However not all targets support packed
	transfers, so check before using.  Change-Id: I66256007f25ccd0c583f23db5acf6d1aa8b5e57d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1602 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-15  Paul Fertser <fercerpav@gmail.com>

	* : README: add missing adapters and flash drivers, mention
	profiling This updates README with all the "keywords" added since the initial
	upstream submission (and finally fixes the typo in the beginning).  Change-Id: Ia071267246fe6afc19fc0bfcda83c4778e7ff5b1 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1624 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-09-13  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : contrib: Add example cross-build script Usage: export LIBUSB1_SRC=/path/to/libusb-1.0 export
	OPENOCD_CONFIG="--enable-..." cd /work/dir
	/path/to/openocd/contrib/cross-build.sh <host-triplet> For static linking, a workaround is to export
	LIBUSB1_CONFIG="--enable-static --disable-shared" All the paths must not contain any spaces.  Feel free to comment or update this patchset with improvements.  Change-Id: Ib3b4970117f13a6140a1eddc493d324a52364519 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1531 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-11  Paul Fertser <fercerpav@gmail.com>

	* : configure: auto-enable USB adapters based on libusb availability This unifies the way the USB adapters are handled, and enables them
	automatically whenever possible (until explicitly disabled). If an
	adapter is explicitly enabled but can't be built, abort the
	configure.  Also add infrastructure for generic handling of adapter drivers in
	configure and print a summary of the configuration results after
	finishing.  The m4 quoting is as conservative as I could get it, and seems
	appropriate.  Change-Id: I1655691e5ea0d8eb9e3f67830b96992ffe33640a Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Signed-off-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1475 Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-09-11  Paul Fertser <fercerpav@gmail.com>

	* : README* refactoring This is an attempt to bring the README files in line with the
	current status of the OpenOCD development.  - remove some obsolete information and duplicated instructions - reword some statements - restructure in a way more appealing to a regular user - add a supported hardware list to allow a potential user to
	  determine if his/her usecase is covered by a freetext keyword search
	  through the document - Add OSX notes (courtesy GrizzlyAdams and inca) Since most ftdi-based adapters are now covered by the ftdi driver, I
	think it's ok to remove some of the libftdi/ftd2xx instructions, the
	few users who still need them should refer to upstream docs instead.  I'm not sure if README.Windows should come with the DOS line
	endings, but i'd expect many windows users to use their silly
	notepad to view it, and notepad ignores LF apparently. (Decided to
	use LF anyway.) I understand discussing and reviewing such a massive README change
	is a somewhat demanding task but I feel it's a necessity to move
	forward maintaining proper documentation.  Change-Id: Idfde3014c72dd5c32ad292ee1ab205322e51a138 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Signed-off-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1503 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com>

2013-09-04  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: remove .soft_reset_halt dependency .soft_reset_halt is not necessary for nds32 target.  Remove the
	dependency.  Change-Id: Ic3b126d6c7eb995583a661b762627e736222fcaa Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1612 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-02  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: support multi-target debugging Change-Id: If767f646b234dbcdb01946e5d13a3a6a29df2d78 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1581 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-31  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: modify nds commands implementation Modify handle_nds32_memory_access_command: do not use DCache setting
	to block user's setting.  Change-Id: I2d33f893773e2a2e3e2f26edde5938ef5902609d Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1579 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-18  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: report any one of hit read watchpoints If multiple read watchpoints are hit at the same time, report any
	one of these hit watchpoints.  Change-Id: I8d4439aa80e4b62bb7d48bbdc0450920e2008a2e Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1576 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-27  Hsiangkai Wang <hsiangkai@gmail.com>

	* : nds32: always polling after gdb attached Do not turn on/off polling as leave/enter debug mode.  Enable
	polling after gdb attached, and disable polling after gdb detached.  Change-Id: Id64459b86f44937af7ea5ccfe2cd13e31732eecf Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1574 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-14  Hsiangkai Wang <hsiangkai@gmail.com>

	* : target: enhance target profiling 1. gprof uses 2-bytes as minimum bucket size.  2. As user wants to use gprof --sum to summarize multiple    profiling data files, the range MUST be the same.     Add new arguments to specify profiling range.  Change-Id: Ie7e6afa6a4d82250e2d194a0eed2b428c1479ea1 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1572 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-30  Hsiangkai Wang <hsiangkai@gmail.com>

	* : target: increase the maximum number of buckets I do not know what is the reasonable number of buckets.  If there
	are enough buckets, the result will be accurate.  I propose increase the maximum number of buckets to 128K.  If the
	size of program text section is less than 256KB, every two bytes
	will be occupied by one buckets.  (The minimum size of one buckets
	is 2 bytes in gprof implementation.) Change-Id: If9147743cefdc36f40f21e6dc73b9b28f28c9e1e Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1608 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-30  Hsiangkai Wang <hsiangkai@gmail.com>

	* : target: Make profiling function more readable Change variable name 'length' to 'numBuckets'.  It is more readable.  Change-Id: I913cba0746f887adf6da401a46cd5e9ea88d2c6d Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1606 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-27  Hsiangkai Wang <hsiangkai@gmail.com>

	* : aice: support batch commands Change-Id: I6846362d98374c93f45f339fb1279fc71721e696 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1584 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-31  Hsiangkai Wang <hsiangkai@gmail.com>

	* : aice: use keep_alive() to avoid timeout warning messages As polling $dbger, call keep_alive() to avoid timeout messages.  Change-Id: Ia03d90535c2bd6049763209194c21f70fd8b7e8b Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1566 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-09-10  Paul Fertser <fercerpav@gmail.com>

	* : svf: off-by-one error; do not access after the allocated memory Keep the promise and ensure there're at least 3 bytes available
	after the current position.  This eliminates the errors reported by Valgrind.  Change-Id: I1d0640e904c750eed808b2b4caf419b4d7619845 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1615 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2013-03-11  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : [RFC] target: Move bulk_write_memory to arm7_9 The only remaining user is arm7_9 so remove it from the target API
	and add it to struct arm7_9_common to support all its variants with
	minimal changes. Many of the variants are likely not correct in the
	cache/mmu handling when the bulk write is triggered. This patch does
	nothing to change that, except for arm946e, where it was easier to
	do what might be the right thing.  Change-Id: Ie73ac07507ff0936fefdb90760046cc8810ed182 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1220 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-16  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : fm3: add Fujitsu MB9Ax family support Not tested, adapted from
	http://tech.groups.yahoo.com/group/versaloon/message/391 Change-Id: I52048f6e8e66b38087fa249eb66ceab6801d07d5 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1506 Tested-by: jenkins

2013-07-16  Nemui Trinomius <nemuisan_kawausogasuki@live.jp>

	* : atmega: add new target support Not tested, adapted from
	http://tech.groups.yahoo.com/group/versaloon/message/391 Change-Id: I6d6af10fb07ea43cc1196a90d8738957f8266938 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1507 Tested-by: jenkins

2013-08-05  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: use consistent arm.cpsr member We already set cpsr in armv7m_build_reg_cache, so lets use it for
	all other accesses to this field.  Change-Id: I19b3b21ecf1571bbea12e1be664845e6544f6fa1 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1539 Tested-by: jenkins

2013-08-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: check target supports target_request_data Make sure the target support target requests before we enable any
	receivers.  Change-Id: I8ce42922eaff76fb5e7a114da716f2a6585a6ab5 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1536 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-08-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : rtos: Do not dereference null pointers detected by clang.  Change-Id: Id395f9d33bc2903b29a158fc3540ae51857e6aa0 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1555 Tested-by: jenkins

2013-09-05  Spencer Oliver <spen@spen-soft.co.uk>

	* : kinetis: add kl flash support Not tested, adapted from
	http://tech.groups.yahoo.com/group/versaloon/message/391 depends on
	http://openocd.zylin.com/1602 Change-Id: Ib846be48500a28d515c6dbd3ca2a5c1719cd74d4 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1508 Tested-by: jenkins Reviewed-by: Chris
	Fryer <chrisf1874@gmail.com> Reviewed-by: Nemui Trinomius
	<nemuisan_kawausogasuki@live.jp>

2013-08-16  Spencer Oliver <spen@spen-soft.co.uk>

	* : gdb server: do not free tdesc_filename early Issue caught by clang.  Change-Id: I4fb331574512140b36e56b3b7ab7e8bdad5e013d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1554 Tested-by: jenkins

2013-08-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: EFM32 supports SYSRESETREQ so use it Change-Id: If52fdea025a2f9620ad4ddacfb83cbb83a94944d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1541 Tested-by: jenkins

2013-08-20  Spencer Oliver <spen@spen-soft.co.uk>

	* : efm32: set safe minimum working area The smallest available RAM size for this family is 2K, set this as
	the default. Issue reported by quitte on IRC.  Change-Id: I3318f7f268f7681ffe2cddab61820f4b94c4e5fd Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1559 Tested-by: jenkins

2013-08-20  Andrey Smirnov <andrew.smirnov@gmail.com>

	* : stlink: Add workaround for intermittent FW info retrieval
	failure It appears that on some host USB configurations(2012 MacBook Air)
	multiple restarts of openocd tool cause the FW on STLINKv2 dongle to
	go into a weird state in which it will no longer respond to
	STLINK_GET_VERSION command. This patch adds code that, if said
	request fails for the first time, attempts to reset the device and
	retry to initialize it and obtain FW information one more time.  Change-Id: I7227fc972adb49d52ae700ad48ab9f66b2aaa72c Signed-off-by:
	Andrey Smirnov <andrew.smirnov@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1561 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2013-08-23  Pushpal Sidhu <psidhu@gateworks.com>

	* : Added new ftdi interface device Added new configuration file for gw16042 device.  Also added this to
	interface/ftdi examples in documentation.  Change-Id: I07bb10bfc79a5d13007288cd57f254d889075214 Signed-off-by:
	Pushpal Sidhu <psidhu@gateworks.com> Reviewed-on:
	http://openocd.zylin.com/1563 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-15  Pushpal Sidhu <psidhu@gateworks.com>

	* : doc: update GW16042 hardware information Fixed a typo in device name as well updated device URL. Also fixed
	miscategorization and moved it to USB FT2232 Based section.  Change-Id: Ia3acaed4209eff26244efea8db68046143ecea37 Signed-off-by:
	Pushpal Sidhu <psidhu@gateworks.com> Reviewed-on:
	http://openocd.zylin.com/1553 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-09  Brad Riensche <brad.riensche@gmail.com>

	* : Add tcl configurations for Altera Soc devices This commit adds two tcl configuration files, one for the Altera
	Cyclone V SoC series, and one for the SoCkit development board.  The
	board configuration is able to halt and resume the cpu cores, and
	dump register contents etc.  It has not been fully tested, however.  Change-Id: Id3f18c3408975cf986a5f5aec410b5b13240c35e Signed-off-by:
	Brad Riensche <brad.riensche@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1494 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-08-09  Sergey Alirzaev <zl29ah@gmail.com>

	* : remove the untested warning in ftdi/olimex-arm-usb-tiny-h.cfg the dongle seems working, including srst signal Change-Id: I5da9046bd8a35d8d826f1b663c01bd2600a6cf14 Signed-off-by:
	Sergey Alirzaev <zl29ah@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1545 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-17  Paul Fertser <fercerpav@gmail.com>

	* : target: clear running_alg flag after reset After the target was reset we can be sure it's not running any
	algorithm.  This fixes the following failure scenario: On my STM32F103 board after I start the firmware and then stop and
	try to "load" in gdb (before doing mon reset halt), I get Error: timeout waiting for algorithm, a target reset is recommended However, target reset doesn't help as the flag is still there
	("Error: Target is already running an algorithm"), so I have no
	choice but to restart the OpenOCD process.  I'm not sure yet what exactly prevents load from working after my
	firmware is initialised, most probably some interrupt is firing and
	my handler produces a fault due to garbled RAM.  Change-Id: Idd977f2780a64d84800e3abd412cffc1ab6801b0 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1512 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-22  Andrey Yurovsky <yurovsky@gmail.com>

	* : stlink: add SWO tracing support Enable reading the SWO trace output via STLinkv2 dongles that
	support it.  This adds an optional initialization parameter "trace" with which
	the user specifies a destination file where SWO trace output is
	appended as it comes in as well as the trace module's source clock
	rate.  STLink will be configured for a 2MHz SWO data rate (STLink's highest
	supported rate) if the source clock is > 2MHz, otherwise the source
	clock is used as the data rate directly.  For example: trace swo.log 168000000 If "trace" is specified with a usable file path, the stlink_usb
	driver will attempt to configure and read SWO trace data as follows: - on _run(), the target's TPI and TMI are configured and the
	  STLinkv2 is told to enable tracing.  Only generic ARM TPI and TMI
	  registers are configured, any MCU-specific settings (ex: pin
	  routing) are the responsibility of the target firmware.  The
	  configuration applied is based on the STLinkv2's capabilities (UART
	emulation).  - on _v2_get_status(), the trace data (if any) is fetched from the   STLink after the target status is checked and the target is found
	  to be running.  - on _halt(), the STLink is told to disable tracing.  When fetching trace data, the entire trace frame is written to the
	output file and that data is flushed.  An external tool may be used
	to parse the trace data into a more human-readable format.  Tested on ARM Cortex M4F and M3 MCUs (STM32F407 and STM32L152).  Change-Id: Ic3983d46c82ba77010c23b0e18ce7b275d917f12 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1524 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2013-03-06  Hsiangkai Wang <hsiangkai@gmail.com>

	* : gdb_server: add target_debug_reason for program exit detection Currently, there is no way to notify gdb that program has exited.
	Add new target_debug_reason called DBG_REASON_EXIT to notify gdb the
	condition has occured. If the debug reason is DBG_REASON_EXIT,
	gdb_server will send 'W' packet to tell gdb the process has exited.  Change-Id: I7a371da292716a3e6ac4cc2c31b009a651fe047a Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1242 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2012-12-26  Hsiangkai Wang <hsiangkai@gmail.com>

	* : gdb server: new feature, add stop reason in stop reply packet
	for gdb In GDB remote serial protocol, the stop reply packet could contain
	more detail stop reason. The currently defined stop reasons are
	listed below.  * watch * rwatch * awatch * library * replaylog This commit adds stop reason, watch/rwatch/awatch, in stop reply
	packet for just hit watchpoint. As manual indicates, at most one
	stop reason should be present.  The function needs target to implement new hook, hit_watchpoint. The
	hook will fill the hit watchpoint in second parameter. The
	information will assist gdb to locate the watchpoint. If no such
	information, gdb needs to scan all watchpoints by itself.  Refer to GDB Manual, D.3 Stop Reply Packets Change-Id: I1f70a1a9cc772e88e641b6171f1a009629a43bd1 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1092 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-22  Robert Jarzmik <robert.jarzmik@free.fr>

	* : jtag/drivers: usb_blaster cheap clone documentation Add documentation about the cheap clone based on the Cypress chip.
	The documentation has schematics data, and throughtput mesures.  Change-Id: I51bf19ff9229565e178dd4c1231682bd9b4b7a8b Signed-off-by:
	Robert Jarzmik <robert.jarzmik@free.fr> Reviewed-on:
	http://openocd.zylin.com/1520 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-07-30  Paul Fertser <fercerpav@gmail.com>

	* : imx6: add new id for SJC as found on i.MX6D Austriancoder on IRC reports getting this ID on his board.  Change-Id: Ie859f0ee422e18fdb94bf817cdd2b41d15b968da Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1533 Reviewed-by: Christian Gmeiner
	<christian.gmeiner@gmail.com> Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : mpsse: Defer errors until flush Simplify the API by making all MPSSE command functions return void
	instead of an error code. If there is an error during an implicit
	flush in a command call, further commands are ignored until an
	explicit flush is performed. The flush function returns and clears
	any error code set.  The only command functions that still return an error code are those
	that can fail directly based on the type of the FTDI chip, i.e. when
	trying to enable RCLK or divide-by-5 on a non-high-speed chip.  Adapt the ftdi adapter driver to the new API.  Change-Id: I12979c723c81f7fd022c25821b029112f02b3f95 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1499 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-25  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : configure.ac: Remove obsolete(?) oddity It causes build failure by adding the build system's includes to the
	compiler's search path when cross-compiling with --prefix=/usr.  Building seems to work fine without it. It was added in f7274784. No
	idea what it was trying to solve that couldn't be covered in a
	better way.  Change-Id: Ia32863f0b0cbd498eb34bd2fce73126db5b71a1f Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1530 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2013-07-20  Paul Fertser <fercerpav@gmail.com>

	* : automake: use subdir-objects option Automake 1.14 introduced several non-fatal warnings that should help
	projects prepare to the next major automake release (2.0).  Considering the way OpenOCD automake files are written, using
	subdir-objects doesn't have any adverse effects, so enable it for
	the future compatibility.  Change-Id: I3e7fd93d1b53c5a7ed00ec0f03d2d1510a07f516 Reported-by:
	Freddie Chopin <freddie_chopin@op.pl> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/1517
	Tested-by: jenkins Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-07-22  Andrey Yurovsky <yurovsky@gmail.com>

	* : stm32f2x flash: add STM32F401 (F4 low power) Add support for the new STM32F401 parts.  These are similar to the
	STM32F405/407 however they are a new Low Power variant with ID code
	0x423 and have 256K of Flash.  Tested with a modified F4 discovery
	board.  Change-Id: Ida5fb14a0832934b4d6d1ec11e602df5076edbc8 Signed-off-by:
	Andrey Yurovsky <yurovsky@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1521 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-17  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex_m: change cmd output to use cortex_m rather than
	cortex_m3 Change-Id: I33834910c44d22169bcf684e9697a8db49d0b396 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1513 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-07-16  Paul Fertser <fercerpav@gmail.com>

	* : etm: prevent segfault when reading bogus information When I do not have the JTAG adapter connected to the target, I often
	end up always reading 1s from the chain. If the OpenOCD is
	configured to connect to an ETM-equipped target (i.MX25 ARM9 in my
	case), this results in writing garbage values in the etm reg_cache
	as the ETM bit fields for the comparators, counters and outputs are
	wider than the amount of entries in the corresponding arrays. This
	later results in a segfault in the first etm_reg_lookup() call.  Change-Id: Ied81fdbf3a53a3dd749e2e5e97adf86c012df575 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1505 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-26  Oleksij Rempel <linux@rempel-privat.de>

	* : mips32: add new functions mips32_configure_ibs and _dbs Split function mips32_configure_break_unit to mips32_configure_ibs
	and mips32_configure_dbs to make code more readable.  This will probably make work easyer with differnet EJTAG versions.  Change-Id: I666f949fd7bc3656bdf75e7bcaadb164f15855dd Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/1463 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-04-15  Oleksij Rempel <bug-track@fisher-privat.net>

	* : mips32: add jump instruction This instruction we will need to make jump to 0xff20.0000 Change-Id: Ic723e683e8848492cd8e186e71fd668dbd1d97e6 Signed-off-by:
	Oleksij Rempel <bug-track@fisher-privat.net> Reviewed-on:
	http://openocd.zylin.com/1338 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-18  Oleksij Rempel <bug-track@fisher-privat.net>

	* : mips32_dmaacc: add new funct ejtag_dma_dstrt_poll Change-Id: I8472a85032e397445408dce917f60c8e6ce852e2 Signed-off-by:
	Oleksij Rempel <bug-track@fisher-privat.net> Reviewed-on:
	http://openocd.zylin.com/1343 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-28  Oleksij Rempel <linux@rempel-privat.de>

	* : mips_ejtag: cache ejtag version to avoid recalculation Some parts of code are version specific. It will be easier if we
	extract ejtag version and store it some where.  Change-Id: I8f9addc42108cba5ae9d61b8ade8f9d7f02a0fb5 Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/1462 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-07  Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>

	* : OpenULINK firmware: change .lnk file extension to .lk in "make
	clean" Recent versions of SDCC generate .lk files instead of .lnk - change
	the OpenULINK Makefile "clean" target and top level .gitignore file
	to reflect this.  Change-Id: I36f38638b712b962498c69c362f123378e1aa045 Signed-off-by:
	Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>
	Reviewed-on: http://openocd.zylin.com/1485 Tested-by: jenkins
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2013-07-04  Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>

	* : ULINK driver and OpenULINK firmware: whitespace and comment
	fixes (trivial) In commit de0130a0aad83c1ef692ee4d68ab996a8668424d, some doxygen
	documentation blocks of the form "///< ..." (documentation after
	member) got changed to "/* /< ...", which is not recognized by
	doxygen. This commit changes them to the correct form "/**< ...".  Also, remove some leading whitespace characters and fix alignment of
	comment blocks where appropriate.  Change-Id: I73a5cf55753722fa0e1d6551f05c47ee88172f0f Signed-off-by:
	Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>
	Reviewed-on: http://openocd.zylin.com/1483 Tested-by: jenkins
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2013-06-27  Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>

	* : ULINK driver: port from libusb-0.1 to libusb-1.0 API The ULINK driver now uses libusb-1.0 calls (synchronous device I/O)
	directly (not the common layer provided by libusb1_common.c) Successfully tested with ULINK probe and STM32F103 (debug, erase and
	write flash).  Change-Id: Ic037a3582db85e49a8cc1ec0dd36f629e4757929 Signed-off-by:
	Martin Schmölzer <martin.schmoelzer@student.tuwien.ac.at>
	Reviewed-on: http://openocd.zylin.com/1459 Tested-by: jenkins
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2013-07-06  Paul Fertser <fercerpav@gmail.com>

	* : configure: remove AM_MAINTAINER_MODE, effectively always
	enabling all the rules There're strong arguments against using this macro (mostly regarding
	build consistency), so remove it altogether.  Change-Id: I90c8e9a86a24571019366435bd868a6799a09c45 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1476 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2013-07-08  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : ulink: Move firmware install from pkglibdir to pkgdatadir The precompiled OpenULINK firmware is just data to OpenOCD so I
	think it belongs in $(prefix)/share/openocd rather than in
	$(prefix)/lib.  Change-Id: Id84c32cd0ddfb96861e903e8f23c16a81e1a0ca1 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1487 Tested-by: jenkins Reviewed-by: Martin
	Schmölzer <martin.schmoelzer@student.tuwien.ac.at> Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-01  Bernhard Kiesbauer <bernhard@kiesbauer.com>

	* : dsp563xx: Adding breakpoint/watchpoint support.  Added missing breakpoint/watchpoint implementation to dsp563xx
	target.  Implementation is not yet complete, which means it does not
	leverage all available features of the once debug interface.  This
	does NOT use the openocd breakpoint/watchpoint command because of
	the "special" memory address spaces (X/Y/P/L) of the 56k DSP series.  Change-Id: I6840a3ff1e6fdebb38ab7758f164886aff773af6 Signed-off-by:
	Bernhard Kiesbauer <bernhard@kiesbauer.com> Reviewed-on:
	http://openocd.zylin.com/1468 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-28  Marek Vasut <marek.vasut@gmail.com>

	* : target: Pull out the jtag_rtck from iMX5x files Pull the jtag_rtck setting from imx51.cfg and imx53.cfg . Since not
	all boards using these CPUs do support RTCK signal, move the
	configuration of RTCK into board files.  Change-Id: I632c5d38e00ada8779a451cd26428fd122452001 Signed-off-by:
	Marek Vasut <marek.vasut@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1460 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-07-09  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash/stm32*: Sync all device/rev IDs with reference manuals Uppercase device/family names and change them to be more specific
	and consistent across all STM32 families.  High-density STM32F10x has a Rev Y according to RM0008 Rev 14, so
	add it.  I have a STM32F30x Rev Y, sitting on my desk, but it isn't described
	in the reference manual. Add it as well.  Split the STM32L1xx Medium+ Density devices based on ID, to match
	the reference manual. If I read it correctly, the Medium+ devices
	have different revision mappings depending on their package/device
	ID. I have no real devices to examine, however.  Change-Id: I5b95e5fa3cdeba219aa96838ea06ec1bb62bd921 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1497 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-09  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash/stm32*: Remove the halted check in protect_check These chips are capable of reading the flash registers while they're
	running.  Change-Id: I76b90b2bae1aa79b5a063b2073faa5d3ed93cfd7 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1495 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-07-08  Paul Fertser <fercerpav@gmail.com>

	* : oocd_trace: fix warnings gcc (Gentoo Hardened 4.6.3 p1.13) produces a warning about the
	variable assigned but not used. write() can sometimes write less
	than the specified count so it's marked with warn_unused_result in
	the system headers and its return value can't be ignored. The most
	correct solution would be to have a loop writing the buffer until
	all bytes are written or an error is returned but here it's
	impractical.  Change-Id: I75f7482e2b26fe0e6d70d34947518d3a8f0afe5c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1490 Reviewed-by: Laszlo Papp
	<lpapp@kde.org> Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-07-08  Paul Fertser <fercerpav@gmail.com>

	* : versaloon: remove bogus assignment This fixes the build with Clang 3.3.  Change-Id: I729b4791c16178cdd4a87f7e1c04019da2c84b26 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1488 Reviewed-by: Laszlo Papp
	<lpapp@kde.org> Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-07-03  Paul Fertser <fercerpav@gmail.com>

	* : ft2232_libftdi: perform basic configure checking when
	cross-compiling When cross-compiling, current configure script fully ignores libftdi
	unavailability and proceeds with LIBS having -lftdi -lusb, that
	results in a non-obvious failure much later.  Try to verify libftdi is available by checking if ftdi_new function
	is linkable.  Change-Id: I4f593d8ada1f38f82e7f1baa1a4b37b09619e1b4 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1473 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2013-07-07  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : cfg: Update Flyswatter 2 URL It pointed to the Flyswatter 1 page.  Change-Id: Ib7e82669a31cad2bf8f6ba4a60b25ef9920b2584 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1478 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-07-07  John Szakmeister <john@szakmeister.net>

	* : Fix a typo.  Change-Id: I3c8ab03932d8769c1cf0c0ccf84cd150c5eb82d8 Signed-off-by:
	John Szakmeister <john@szakmeister.net> Reviewed-on:
	http://openocd.zylin.com/1481 Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2013-06-24  Robert Jarzmik <robert.jarzmik@free.fr>

	* : target: xscale make reset init work properly On XScale architecture, to write debug control register DCSR and
	activate JTAG debug (ie. to choose Halt Mode), the enabling can only
	be done while the board is held in reset state (ie. PXAxx #RST line
	held low).  The current implementation writes to the register before asserting
	the SRST line. Swap the order to activate the SRST line before
	writing to DCSR.  Change-Id: I914b9d53d39bdeb5fe4ee5e11068cafafe0da4d2 Signed-off-by:
	Robert Jarzmik <robert.jarzmik@free.fr> Reviewed-on:
	http://openocd.zylin.com/1458 Tested-by: jenkins Reviewed-by: Marek
	Vasut <marek.vasut@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-05-27  Ulf Wetzker <ulf.wetzker@eas.iis.fraunhofer.de>

	* : at91sam3: Added support for at91sam3s8a, b and c Only the support for at91sam3s8b is tested on real hardware.  Change-Id: I4ce23bc2f6131d9cf3ff1b301ab9e470d20845ab Signed-off-by:
	Ulf Wetzker <ulf.wetzker@eas.iis.fraunhofer.de> Reviewed-on:
	http://openocd.zylin.com/1424 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-27  Ulf Wetzker <ulf.wetzker@eas.iis.fraunhofer.de>

	* : flash/nor/at91sam3: fixed lock region size According to the "AT91SAM ARM-based Flash MCU SAM3S Series
	datasheet" (http://www.atmel.com/Images/doc11090s.pdf) p. 30 the
	lock region size for the at91sam3sd9 family is 32 kbyte.  This fix is only based on the datasheet due to missing hardware.  Change-Id: Ic47b0642e4f11a60de477eaa0167038103b8ff15 Signed-off-by:
	Ulf Wetzker <ulf.wetzker@eas.iis.fraunhofer.de> Reviewed-on:
	http://openocd.zylin.com/1422 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-16  Paul Fertser <fercerpav@gmail.com>

	* : armv4_5: prevent segfault when gdb connects to an
	underinitialised target This prevents segmentation fault that can occur on cortex_a targets
	if gdb connection is established before it's halted and CPSR
	examined.  Change-Id: Id996200e0fd95440496509c1fecaabbdbf425e23 Tested-by:
	Henrik Nordstrom <hno@squid-cache.org> Signed-off-by: Paul Fertser
	<fercerpav@gmail.com> Reviewed-on: http://openocd.zylin.com/1446
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-06-12  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex_m: deprecate soft_reset_halt soft_reset_halt was only really intended for the older arm arch, eg.
	armv4/5.  Newer arch such as armv7m/mips do not need this as they
	have better alternatives.  Change-Id: Ifb360680b7e4bfa5365f3c79d82574bded952b45 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1442 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2012-10-24  Evan Hunter <ehunter@broadcom.com>

	* : Add support for 64 bit parameter to irscan Change-Id: I89e0422456c59ee86c4b6d9bd3b3ad32051b31ac Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Reviewed-on:
	http://openocd.zylin.com/831 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2013-06-21  Antonio Borneo <borneo.antonio@gmail.com>

	* : flash/nor/spi: uniform all hex data to lowercase Change-Id: I3daee7218283e521bf490993dba02a8658540951 Signed-off-by:
	Antonio Borneo <borneo.antonio@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1453 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-08  R. Diez <rdiezmail-openocd@yahoo.de>

	* : Bus Pirate driver: Small assorted fixes.  Fixes are: - Discard any stale data from the previous connection.  - Disable CR/LF translation on the (virtual USB) serial port.  - Increase the average USB packet size. The 1 KiB buffer was
	underutilised.  - Option "buspirate_speed fast" now works out of the box.  - Some extra comments, error checking, etc.  Change-Id: I72c49d943a8ce9c5e5d1644ef90cb1482f93c618 Signed-off-by:
	R. Diez <rdiezmail-openocd@yahoo.de> Reviewed-on:
	http://openocd.zylin.com/1437 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-14  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: add missing configure quotes Change-Id: I14abb24292d4c2ff088c7b95773f73ceac3287cd Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1445 Tested-by: jenkins

2013-04-25  Brent Roman <brent@mbari.org>

	* : hla: Add Simulated DCC register for target communicaton Change-Id: I193be169059caba661e46de8081d7e92f92cafee Signed-off-by:
	Brent Roman <brent@mbari.org> Reviewed-on:
	http://openocd.zylin.com/1364 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-30  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add stm32 flash driver alias This will enable the user to use either name when calling flash
	driver cmds.  For example the stm32f3x family use the same flash driver as the
	stm32f1x, so the user has to use 'stm32f1x mass_erase 0' which can
	be confusing.  Now the user can also use 'stm32f3x mass_erase 0'
	with the same result.  Change-Id: I14280674c8dfa2ce1c01e327af7f38e36150462c Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1428 Tested-by: jenkins

2013-06-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : stm32: add new stm32f0 device id updated from RM0091 rev4.  Change-Id: Ic5e46229b85ce3974ef3016724d29a94037ac577 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1435 Tested-by: jenkins

2013-06-07  Spencer Oliver <spen@spen-soft.co.uk>

	* : str9: ignore boundary scan version Ignore version of Boundary Scan TAP in newer revisions of the str9.  Change-Id: I6e205f8c731f07078c469e686025857c180f3a6d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1436 Tested-by: jenkins

2013-06-04  Paul Fertser <fercerpav@gmail.com>

	* : configure: remove --enable-libusb0 option, rework libusb
	selection This makes libusb handling more consistent: if any driver requires
	libusb, first check for libusb-1 availability, if not found and
	libusb0 is ok for this case, try libusb0.  A user-visible bug fixed by this is that when a user was selecting a
	driver that required libusb-1 but was lacking the necessary dev
	files or libraries, configure didn't complain (but the build was
	failing of course).  --enable-stlink doesn't really require libusb-1 but since it's using
	the same automake symbol HLAADAPTER, ti_icdi is getting built too
	which needs libusb1 unconditionally. Since using libusb-0.1 makes
	little sense anyway, leave that as is.  Signed-off-by: Paul Fertser <fercerpav@gmail.com> Change-Id:
	I630a4ad9e4583743d45b2233bf5d8f4e5c0aab82 Reviewed-on:
	http://openocd.zylin.com/1434 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-06-08  Paul Fertser <fercerpav@gmail.com>

	* : ftdi: config for TUMPA Add a config file for TIAO USB Multi-Protocol Adapter.  Based on schematics from http://www.mediafire.com/?zv158nnx1gv0cy2 Cc: Volkan K <volkan-k@users.sourceforge.net> Change-Id:
	I0dfd93b0b1e558e4ccd7c94c005c099947ec94df Signed-off-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1438 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-07-22  Paul Fertser <fercerpav@gmail.com>

	* : Add BCM2835 (as found in Raspberry Pi) interface driver This adds support for JTAG programming by bitbanging GPIOs exposed
	on the RaspberryPi's expansion header.  Tested by connecting directly to an STM32VLDiscovery board, without
	any additional circuity. I observed maximum about 4MHz on the TCK
	pin with an old analogue 'scope and about 100kHz when setting the
	speed to 100kHz.  Busyloop waiting is needed because even with a
	single 0ns nanosleep call (with FIFO priority) it lowers the TCK
	speed to ~30kHz which is way too low to be useful.  The speed testing with adapter_khz 2000 gave the following results:
	sudo chrt -f 1 nice -n -19 ./src/openocd \      -f interface/raspberrypi-native.cfg \      -c "set WORKAREASIZE 0x2000" \      -f target/stm32f1x.cfg -c "adapter_khz 2000" wrote 131072 bytes from file random.bin in 3.973677s (32.212 KiB/s)
	dumped 131072 bytes in 1.445699s (88.538 KiB/s) This is 3.7 times faster for writing and 14.3 times faster for
	reading compared to the generic sysfsgpio driver; probably the
	writing speed is limited by the target itself here and reading speed
	might be considerably higher too with appropriate connection and a
	capable target.  BCM2835 name is choosen over BCM2708 because the published
	peripherals datasheet uses the particular model name and not family
	name.  Change-Id: Ib78168be27f53c2a3c88c3dd8154d1190c318c78 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/758 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2013-05-15  Ryan Corbin <corbin.ryan@gmail.com>

	* : Added OpenJTAG Driver Updated OpenJTAG driver from www.openjtag.org to work with latest
	version of OpenOCD.  Change-Id: I2917f4e5835fb9ca5265e81dc38515fa97ae9503 Signed-off-by:
	Ryan Corbin <corbin.ryan@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1406 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-02-05  Hsiangkai Wang <hsiangkai@gmail.com>

	* : aice: add Andes AICE support Andes AICE uses USB to transfer packets between OpenOCD and AICE.
	It uses high-level USB commands to control targets instead of using
	JTAG signals. I define an interface as aice_port_api_s. It contains
	all basic operations needed by target-dependent code.  Change-Id: I117bc4f938fab2732e44c509ea68b30172d6fdb9 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1256 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-30  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex_m: print 'Cortex-M' rather than 'Cortex-M3' This file is used by all the Cortex-M family not just Cortex-M3.  Change-Id: Ie8680535b220c66bb8fcd862510407a46a73e8a0 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1429 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-06-02  Paul Fertser <fercerpav@gmail.com>

	* : rlink: fix speed table generation The speed table generation (by using explicit make -f
	Makefile.rlink) was broken since
	865efd828a267992db0f2a92a731c5ce23a34236 Dec 2 2009 which did a
	bunch of renaming and included hand-editing of a generated
	rlink_speed_table.c file.  This patch is compile-tested, i.e. the new generated
	rlink_speed_table.c links fine with the rlink driver.  Change-Id: I1789a2f2f5bf20183b772d55c55fe68a0bd05cf5 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1431 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-09  Paul Fertser <fercerpav@gmail.com>

	* : tools: add sample remote_bitbang sysfsgpio server This adds a sample server that implements remote_bitbang protocol,
	based on sysfsgpio interface driver.  Change-Id: I17633e91f819ab7b806606e1a1c38d5366ab4598 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1403 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-20  Paul Fertser <fercerpav@gmail.com>

	* : interface/ftdi: remove "untested" warning from DP Busblaster This is reported as working by mitsakos on IRC.  Change-Id: I26b97779c3e8e237c5b3996aa81183031b12ec0c Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1419 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-06  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : remote_bitbang: De-duplicate init code and clean up on error Change-Id: I8be413a9e1683f96f835232f9ff25d9bd42099de Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1380 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-04-18  Brandon Warhurst <roboknight@gmail.com>

	* : Added functionality to the SYS_SYSTEM semihosting call.  There seems to be a few missing semihosting calls.  I am not sure
	why this one is actually missing, since it seems simple enough to
	implement.  It was tested using an HTC HD7 connected to openocd
	through a "home brew" ftdi 4232H board.  Change-Id: Ie17dc96c6d48227a3dc9ff1e21201a85498a10b1 Signed-off-by:
	Brandon Warhurst <roboknight@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1345 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-05  Paul Fertser <fercerpav@gmail.com>

	* : stm32 configs: use 4kB working area size by default This is needed for configs that might be used with the cheapest
	STM32F100 parts that have only 4kB SRAM.  Restrictions for the other STM32 families are verified to be set
	appropriately.  Change-Id: I1ad2370435015604db9f27c1a76c153480311a28 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1378 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-29  Paul Fertser <fercerpav@gmail.com>

	* : efm32: fix FTBFS on ARM due to alignment issues The following warnings prevent OpenOCD from building: efm32.c: In
	function 'efm32x_read_lock_data': efm32.c:373:8: error: cast
	increases required alignment of target type [-Werror=cast-align]
	efm32.c:386:9: error: cast increases required alignment of target
	type [-Werror=cast-align] efm32.c:394:9: error: cast increases
	required alignment of target type [-Werror=cast-align]
	efm32.c:402:9: error: cast increases required alignment of target
	type [-Werror=cast-align] efm32.c: In function
	'efm32x_get_page_lock': efm32.c:430:17: error: cast increases
	required alignment of target type [-Werror=cast-align] efm32.c: In
	function 'efm32x_set_page_lock': efm32.c:441:19: error: cast
	increases required alignment of target type [-Werror=cast-align]
	cc1: all warnings being treated as errors This patch is compile-tested only.  Change-Id: Ia3a8f342e0f5e30c8ea4de9435c5c7a80bc100e3 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1370 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-05-04  Paul Fertser <fercerpav@gmail.com>

	* : jtag/adapter: add connect_[de]assert_srst to reset_config usage Add the connect under reset options to the online help for
	reset_config.  Change-Id: I4b9a87b234de01531390b39b898a848841d1e834 Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1377 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-05-05  Freddie Chopin <freddie.chopin@gmail.com>

	* : Restore normal development cycle 1. Archive NEWS for 0.7.0 release 2. Add new blank NEWS file 3. Bump version to 0.8.0 and restore "-dev" suffix Change-Id: I21febc042faeed294f3beeb5e683535dbf011e8f Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-28  Freddie Chopin <freddie.chopin@gmail.com>

	* : doc: add info about FT232H and JTAG-lock-pick Tiny 2 adapter Change-Id: I3b1047580669da3f17ea87183536275a10671fec Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1367 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-28  Freddie Chopin <freddie.chopin@gmail.com>

	* : dev-doc: fix to release process docs Change-Id: I916e7ff1af211baef1c6d56fd44d292ee6983599 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1368 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-05-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: ignore ICEPick jrc tap version Due to reports of newer targets using a updated version of the
	ICEPick tap rather than add another tapid we ignore the tap version.  Also see Trac 49 for details.  Change-Id: Ic78414c54af2545c817e1bb2c860970c1b587259 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1373 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2013-04-28  Freddie Chopin <freddie.chopin@gmail.com>

	* : The openocd-0.7.0-rc2 release candidate.  Change-Id: I0a3576dd098d73437547b619c726cacd8f1dba64 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-02-01  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: rename cortex_m3 to cortex_m Rename cortex_m3 target to use a more correct cortex_m name.  This
	also adds a deprecated_name var so that older scripts issue a
	warning to update the target name.  cfg files have also been updated to the new target name.  Change-Id: Ia8429f38e88da677249c5caa560c50f8ce56ea10 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1129 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-25  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex_m: remove old target breakpoints/watchpoints Sometimes the target may have breakpoint registers set from a
	previous debug session, we can either sync them or as we have chosen
	here clear them.  Change-Id: I439a623ebbf010246a70e5596d04aa7d546da731 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1363 Tested-by: jenkins Reviewed-by: Paul
	Fertser <fercerpav@gmail.com> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2013-04-22  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: fix libftd2xx regression Fix build when targeting closed src ftd2xx drivers.  configure is
	unable to find the dynamic linking loader lib (dl) as it is included
	before ftd2xx library.  Change-Id: Ibe7308b66ed846288a31f7a27ff549b6f39baeec Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1355 Tested-by: jenkins Reviewed-by: Luca
	Bruno <lucab@debian.org> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2013-04-15  Oleksij Rempel <bug-track@fisher-privat.net>

	* : build fix: ft2232 fix build with-ftd2xx-lib Change-Id: I4a9b5d204c29b7a0714a59494b2b5f959c73f99b Signed-off-by:
	Oleksij Rempel <linux@rempel-privat.de> Reviewed-on:
	http://openocd.zylin.com/1359 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-22  Spencer Oliver <spen@spen-soft.co.uk>

	* : Update NEWS Change-Id: Icfc1245552a400232988cf44f54e5c46af1db873 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1356 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2013-04-21  Freddie Chopin <freddie.chopin@gmail.com>

	* : The openocd-0.7.0-rc1 release candidate.  Change-Id: I2992c31b56b88062cdd8a8208506a61f6367fcbf Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-02-05  Matt Dittrich <mdittrich.dev@gmail.com>

	* : flash/nor: add lpc4300 variant to lpc2000 driver This patch adds flash programming support for internal flash of the
	LPC43x2/3/5/7 part, tested on a LPC4337 (also tested on a LPC1768
	and LPC2468). It should also work with LPC1800's with onchip flash.
	The "base" parameter of the "flash bank" command is now significant
	for the lpc4300 variant and required to determine the bank number
	parameter needed by the IAP routines.  NOTE: I could only program flash successfully when the chip is
	powered with "P2_7" pulled low to put it in ISP mode.  When running
	from flash (and not the ISP ROM), the target fails to halt and the
	sector erase fails. This is similar to the behavior I remember when
	trying out the spifi driver on a LPC4350... lots of power cycles to
	make progress, one To burn, one to run.  So I am not confident my
	config is set up correctly.  Change-Id: I8a75ef1b95cedd5b5898b2dedff477f502fd19f3 Signed-off-by:
	Matt Dittrich <mdittrich.dev@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1126 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins

2013-03-27  Spencer Oliver <spen@spen-soft.co.uk>

	* : telnet: add telnet history support adapted from Yoshinori Sato's patch:

	https://github.com/ysat0/openocd/commit/2f07f4600a0da8206612d78c159bbe1171aa41c2Change-Id: I084b86d316b0aa6e9593f007c024961dbda805e9 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1310 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-20  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : stm32f30x: Add boundary scan TAP ID to match silicon Change-Id: I74ef3cfc437540aedd99da46ac3e0c6cd9c5cd8d Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1354 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-03-03  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: m4k alternate pracc code. Patch 3 Functions mips32_pracc_read_mem(), mips32_cp0_read() and
	mips32_pracc_read_regs() are now modified.  mips32_cp0_read() is
	very similar to mips32_read_u32() with one store access.
	mips32_pracc_read_regs() is the only function that can not be
	executed from only one queue.  Now this function is modified to use
	reg8, it saves all the registers but does not restore reg8.  To
	remedy this, mips_ejtag_config_step() is called after
	mips32_save_context() in mips_m4k_debug_entry(). Function
	mips_ejtag_config_step() is modified to use reg8 and restore it from
	ejtag info instead of using DeSave for save/restore.  Change-Id: Icc224f6d7e41abdec94199483401cb512cc0b450 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1195 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-03-03  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: m4k alternate pracc code. Patch 1 This patch and the following patches define another way of doing
	processor access without the need to read back the pracc address as
	needed in current pracc code.  Current pracc code is executed
	linearly and unconditionally. The processor starts execution at
	0xff200200 and the fetch address is ever incremented by 4, including
	the last instruction in the delay slot of the branch to start.  Most
	of the processor accesses are fetch and some are store accesses.
	After a previous patch regarding the way of restoring registers
	(reg8 and reg9), there are no load processor accesses.  The pracc
	address for a store depends only on the store instruction given
	before.  m4k core has a 5 stage pipeline and the memory access is
	done in the 3rth stage. This means that the store access will not
	arrive immediately after a store instruction, it appears after
	another instruction enters the pipeline.  For reference: MD00249
	mips32 m4k manual.  A new struct pracc_queue_info is defined to help
	each function in generating the code. The field pracc_list holds in
	the lower half the list of instructions and in the upper half the
	store addressess, if any. In this way the list can be used by
	current code or by the new one to generate the sequence of pracc
	accesses.  For every pracc access only one scan to register "all" is
	used by calling the new function mips_ejtag_add_scan_96().  This
	function does not call jtag_execute_queue(), all the scans needed
	can be queued before calling for execution.  The pracc bit is not
	checked before execution, is checked after the queue has been
	executed.  Without calling the wait function the code works much
	faster, but the scan frequency must be limited. For pic32mx with
	core clock at 4Mhz works  up to 600Khz and with 8Mhz up to 1200. To
	increase the scan frequency a delay between scans is added by
	calling jtag_add_cloks().  A time delay in nano seconds is stored in
	scan_delay, a new field in ejtag_info, and a handler is provided for
	it.  A mode field is added to ejtag_info to hold the working mode.
	If a time delay of 2ms (2000000 ns) or higher is set, current code
	is executed, if lower, new code is executed.  Initial default values
	are set in function mips32_init_arch_info. A reset does not change
	this settings.  Change-Id: I266bdb386b24744435b6e29d8489a68c0c15ff65 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1193 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-19  Ben Nahill <bnahill@gmail.com>

	* : stm32w: Added sample target configuration for STM32W108 with
	STLink-V2 As requested, here is the target configuration that I'm using for an
	STLink-V2-attached STM32W108C8. For some reason, it only seems to
	work with "reset_config trst_only".  Change-Id: Icbff4f83343e1f505d8afdfc53ff6f8b7496cac9 Signed-off-by:
	Ben Nahill <bnahill@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1347 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-04-12  Spencer Oliver <spen@spen-soft.co.uk>

	* : program: do not poll target after reset run Disable polling the target before we issue a 'reset run'. This stops
	errors or warnings if the target disables the SWD or JTAG interface
	as part of the application code.  Change-Id: I5019dffdad41a8e210003ece1caf89069ee0f223 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1331 Tested-by: jenkins

2013-03-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : parport: fix parport_toggling_time regression If parport_toggling_time is called before the adapter speed has been
	configured then the call fails. Probably not the best fix, but does
	at least enable parport_toggling_time to be used again.  This regression was added in commit
	740b9e25b410c164e661d0334a9ea4168406726b Change-Id: I90300916d6bda5ef053c557e5ac136c4f002bdd1 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1309 Tested-by: jenkins

2013-04-09  Spencer Oliver <spen@spen-soft.co.uk>

	* : libusb: disable debug messages by default Change-Id: I15dec0f521502139b57adaff576516af7883a74b Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1314 Tested-by: jenkins

2013-04-15  Peter Dietzsch <peter.dietzsch@ib-dt.de>

	* : cfg: Added cfg script for at91sam4sd32x targets Change-Id: I3b8a54d89a180bfded3dae3f1fe3d940540e6e7d Signed-off-by:
	Peter Dietzsch <peter.dietzsch@ib-dt.de> Reviewed-on:
	http://openocd.zylin.com/1333 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-12-11  Yann Vernier <yann.vernier@orsoc.se>

	* : ft2232: fix input scan ending in drshift/irshift The final bit was incorrectly added as output data, even if no data
	was to be written. Changed it to match handling of other bits.  Change-Id: I91e5ba0c932876bfb579c22e6c7ef0300baa1534 Signed-off-by:
	Yann Vernier <yann.vernier@orsoc.se> Reviewed-on:
	http://openocd.zylin.com/1049 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-03-02  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: code cleanup in cp0 command handlers After calling mips32_cp0_read() nothing has been queued, the call to
	jtag_exec_queue() is unnecessary.  Change-Id: Ie25438045a8e9b6b1b170df7b52609d45f284b5a Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1190 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-02-23  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: mips32_pracc_fastdata_xfer() little modification In this function after loading the handler code and the jump code
	there is a call to wait_for_pracc_rw() to verify that a pracc access
	is pending.  Next the address is read to verify that the handler is
	running, the address should be at fastdata area.  Next, another call
	is made to wait_for_pracc_rw(). This call is not needed, we now
	already that a pracc access is pending.  Better we call this
	function before loading the end address to be sure it is loaded
	correctly.  Signed-off-by: Salvador Arroyo <sarroyofdez@yahoo.es> Change-Id:
	If311450ea634786fc28cf1a8e18ed24ce5257d20 Reviewed-on:
	http://openocd.zylin.com/1142 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-02-17  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : pic32mx: false pending at low core clock To show up the fail try to step with the core clock set to 31.25Khz
	and with a ftdi/hs adapter or with a wiggler, -not with ft2232-.
	The scan frequency should be set to 300Khz or higher, at lower
	frequency probably will not fail.  The code exits with error because the pracc address is at 0x0.  It also fails when using the "all" register, but in this case the
	code works without any message because the pracc address is at
	0xff202004 when it fails.  I never saw this fail with the core clock set to 500Khz or higher,
	but ...  The workaround simply puts a 1 ms delay after the execution of the
	DERET instruction.  Change-Id: I38e8c01a9c39aedd3282140543b83a0844d8ad29 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/1139 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-01-17  Evan Hunter <ehunter@broadcom.com>

	* : Add abort when JTAG-DP transaction times out.  Fixes system hang for devices that don't ignore transactions to bad
	addresses.  Change-Id: Ia98344d7efc12951ef79dbc82b8f792b70a22cee Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Reviewed-on:
	http://openocd.zylin.com/1115 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-04-02  Evan Hunter <ehunter@broadcom.com>

	* : gdb server: Fix buffer overrun - sprintf appends a terminating
	null to the data which was overrunning the supplied buffer.  Fixes regression introduced in commit
	07dcd5648d146d38f9ffa619f0737587e592d0b6 Signed-off-by: Evan Hunter <ehunter@broadcom.com> Change-Id:
	Iec64233c0da5a044fb984c4b1803309cb636efe9 Reviewed-on:
	http://openocd.zylin.com/1312 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-03-16  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: update incorrect urls These were missed when git was moved to the new SF platform during
	Nov 2012.  Change-Id: I7b4ae9dea010d95f9bf4c26841b5b724f41768be Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1248 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins

2013-03-14  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: fix html anchor xref links makeinfo has a long outstanding bug that means @anchors are not
	correctly formatted for split html, see:
	http://lists.gnu.org/archive/html/bug-texinfo/2012-06/msg00000.html The issue relates to using spaces or hyphens in the @anchor name.
	Issue also reported via Trac #44 Change-Id: Id72e23375dd167674b2ae5b314e8242b90a72a5f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1244 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-03-24  Christian Gudrian <christian.gudrian@gmx.de>

	* : rtos: fixed handling of qThreadExtraInfo packets The commit "gdbserver: use common hexify/unhexify routines"
	[3d62c3d] mis-replaced a call to "str_to_hex" with a call to
	"unhexify". "hexify" should have been used instead.  Change-Id: I5f5904b1b422f819a6308e2c0740ea43d22c7d0b Signed-off-by:
	Christian Gudrian <christian.gudrian@gmx.de> Reviewed-on:
	http://openocd.zylin.com/1308 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2013-03-08  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : target: Retire target_bulk_write_memory() The only caller was arm_nandwrite(). Replace that call with
	target_write_buffer() instead, which in turn may end up calling the
	same bulk_write_memory target API function.  Change-Id: If34c7474df5cf14af3b732fb4774816818f28e79 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1214 Tested-by: jenkins Reviewed-by:
	Øyvind Harboe <oyvindharboe@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-10-12  Evan Hunter <ehunter@broadcom.com>

	* : arch: Added ARMv7R and Cortex-R4 support Rewrite to merge Cortex-A and Cortex-R code Change-Id: I4541557980d43d1bba6e8d1bfeb04f536ed25a00 Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Reviewed-on:
	http://openocd.zylin.com/358 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-10-23  Evan Hunter <ehunter@broadcom.com>

	* : cortex_a : optimize apb read/write access.  Rewrite: Adheres more closely to 'fast read/write' examples in TRM.
	up to 50x faster Change-Id: Ieb4da57d8367628f3e7306827a5b1f0ab550e641 Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Reviewed-on:
	http://openocd.zylin.com/903 Tested-by: jenkins Reviewed-by: Michel
	JAOUEN <michel.jaouen@stericsson.com> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-03-12  Stefan Mahr <stefan.mahr@sphairon.com>

	* : jtag: usb_blaster: fix allocation of usb_blaster_device_desc usb_blaster_device_desc was allocated, but never freed.  Change-Id: I764bd092c71b8c260b98aab0e7a1710fd7bfa9fd Signed-off-by:
	Stefan Mahr <stefan.mahr@sphairon.com> Reviewed-on:
	http://openocd.zylin.com/1224 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: jenkins

2013-03-09  Stefan Mahr <stefan.mahr@sphairon.com>

	* : jtag: opendous: fix tap buffer overflow Appending bits to TAP buffer doesn't check if there's enough space
	left.  This patch adds this check to fix TAP overflow error.  Change-Id: If80d5ab4a24983ad24f3cab31f9676d1590ebf5d Signed-off-by:
	Stefan Mahr <stefan.mahr@sphairon.com> Reviewed-on:
	http://openocd.zylin.com/1216 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-03-10  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : target: Remove write_memory_imp Change-Id: I5d933bc19443bba8a0193c90471fdd0614324a92 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1218 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2012-12-27  Rodrigo Melo <rmelo@inti.gob.ar>

	* : doc: opendous interface based on ft2232H It was listed in the ft2232 based cables supported. Moreover, the
	ft2232_channel option, which was added to support this cable, was
	explained.  Change-Id: I82ebc7bc10d6472f96ab150e78d623a617edccd2 Signed-off-by:
	Rodrigo Melo <rmelo@inti.gob.ar> Reviewed-on:
	http://openocd.zylin.com/1098 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2012-12-27  Rodrigo Melo <rmelo@inti.gob.ar>

	* : ft2232: ft2232_channel option added With this option a different channel of the ft2232 chip can be
	selected using a previously existing layout. It was made for a
	partner called Salvador Tropea.  Change-Id: Ia0dedb2f50e232d089e73788735edc8f47ee23e6 Signed-off-by:
	Rodrigo Melo <rmelo@inti.gob.ar> Reviewed-on:
	http://openocd.zylin.com/1095 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-03-03  Alex Austin <alex.austin@spectrumdsi.com>

	* : Kinetis: Flash command function matches datasheet The kinetis datasheets specify the flash registers as bytes rather
	than as words, as the previous implementation did.  This also makes
	a few code sections slightly less endian-magical.  Change-Id: If8f4adfc7f4341085ae5b6eacbf7d74bbd74cf08 Signed-off-by:
	Alex Austin <alex.austin@spectrumdsi.com> Reviewed-on:
	http://openocd.zylin.com/1192 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-03-07  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: add gerrit http password url Add url to show where the http password is configured.  Also add
	note that password can also be saved to url git config.  Change-Id: I3c1a022580e5f73372b0c50e8d1d2f0b1498966f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1207 Tested-by: jenkins

2013-03-07  Øyvind Harboe <oyvind.harboe@zylin.com>

	* : rtos: fixes warning Change-Id: I45db15b16b52c71009d8830985f42ac88eabe160 Signed-off-by:
	Øyvind Harboe <oyvind.harboe@zylin.com> Reviewed-on:
	http://openocd.zylin.com/1209 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-by: Øyvind
	Harboe <oyvindharboe@gmail.com>

2012-12-27  Rodrigo Melo <rmelo@inti.gob.ar>

	* : interface: opendous_ftdi config file added This config file add support to the opendous cable based on the chip
	ft2232H, using the ftdi interface driver.  Change-Id: I4491f99d7b14f7078a04583ef0c4acd8692c4349 Signed-off-by:
	Rodrigo Melo <rmelo@inti.gob.ar> Reviewed-on:
	http://openocd.zylin.com/1097 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-02-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add Netgear DG834v3 configuration Change-Id: I3f4880d8b07b9623544b94d316b37e6d0ae97020 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1189 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-02-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : stm32: update stm32f1x driver for f0x and f3x option bytes The stm32f0 and stm32f3 share the same option byte location, but the
	format differs.  Adding an option_offset fixes the broken options_read cmd and
	incorrectly setting Hardware Watchdog when unlocking a f3x device.  Change-Id: I82d66b6198294ea9eedb44ca8b2fb368c0cb15e8 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1184 Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2013-02-08  Vladimir Zapolskiy <vz@mleia.com>

	* : cfg: add basic support of Freescale i.MX6 series targets This change adds a simple target configuration for Freescale
	single/dual/quad core i.MX6 SoCs, only one core is configured by
	default.  Change-Id: I853dd27f4c6765b7f731be2ddea82e85d496c6a4 Signed-off-by:
	Vladimir Zapolskiy <vz@mleia.com> Reviewed-on:
	http://openocd.zylin.com/1135 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2012-10-28  Peter Henn <Peter.Henn@web.de>

	* : speed up ftdi by reorder to out-in When the ftdi driver calls finally the mpsse_flush function, it
	first initiate the USB in and finally the corresponding USB out
	transaction.  Because data in is requested too early the USB device
	will always answer the first USB in by a NAK. That can prevented by
	a simple reordering of the out and then the in transfer and can
	improve the Jtag performance for high JTAG clock rates.  Change-Id: I17abf1487c914c92e2e447ee6d30562ef629f327 Signed-off-by:
	Peter Henn <Peter.Henn@web.de> Reviewed-on:
	http://openocd.zylin.com/942 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2013-02-25  Mathias K <kesmtp@freenet.de>

	* : Move back off timer to target struct Move the global target back off timer to the target struct. This
	will fix the wrong error handling with multi target devices like smp
	systems.  Change-Id: Ia327182ed5d13ca87323700017a8c40ecc6b25a3 Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/1179 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-07-17  Freddie Chopin <freddie.chopin@gmail.com>

	* : Update HACKING info Inform about possibility of discarding negative review in Gerrit
	when specific conditions are met.  Change-Id: I432b6c93cefc368fa22ce1096bea4cd174e03816 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/747 Reviewed-by: Øyvind Harboe
	<oyvindharboe@gmail.com> Tested-by: Øyvind Harboe
	<oyvindharboe@gmail.com>

2013-02-10  Joerg Fischer <turboj@gmx.de>

	* : Fix buffer overflow in versaloon interface The USB buffer will need space for both TMS and TDI buffers.  Each
	holds tap_buffer_size bytes maximum, so tap_buffer_size must be
	smaller than half of usb buf_size.  Change-Id: Id8f39936a894cbd98deb89eec5a859aef1e2b783 Signed-off-by:
	Joerg Fischer <turboj@gmx.de> Reviewed-on:
	http://openocd.zylin.com/1136 Tested-by: jenkins Reviewed-by: simon
	qian <simonqian.openocd@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2013-02-14  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: update to use correct register core_cache The was missed when the armv7m was moved over to using the std arm
	core_cache, probably because it is disabled by default.  Change-Id: I2f5a18ef6dd783b36e8c29f4c52379104bda4583 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1138 Tested-by: jenkins

2013-01-24  Johan Almquist <johan.almquist@assaabloy.com>

	* : stm32: add support for the STM32Lx 384kb dual bank flash This update adds support for the STM32Lx 384kb dual bank flash.
	Previously there was a problem when writing an image that was larger
	than 192Kb. That lead to openocd printing out two error messages
	like "Error: access denied / write protected" and "Error: invalid
	program address". The reason was that the stm32lx driver tried to
	write half pages which overlapped into the next flash bank.  A new
	configuration file stm32lx_dual_bank.cfg can be used for stm32lx
	chips with dual bank flash (256kb or 384kb devices).  A sanity check
	was added for probed flash size values to fix the issue seen on some
	ST samples that answered incorrectly.  Change-Id: I69e25131983d88613be8606b438f98870c5f1e52 Signed-off-by:
	Johan Almquist <johan.almquist@assaabloy.com> Reviewed-on:
	http://openocd.zylin.com/1125 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2013-02-03  Franck Jullien <franck.jullien@gmail.com>

	* : jtag_interface: .speed can be NULL  when not needed adapter_init (core.c) won't check speed configuration of the
	selected interface if it's not needed (.speed = NULL).  When it's not needed, we can now omit adapter_khz in init scripts
	and we don't have to implement dummy handlers for speed_div and khz
	functions.  It also removes calls to adapter_khz in interface configuration
	files when not used anymore.  Change-Id: I6eb1894385503fede542a368f297cec6565eed44 Signed-off-by:
	Franck Jullien <franck.jullien@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1131 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2013-01-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: restore core mode after executing algorithm Make sure we restore the core mode after executing any algorithm.  We also now check that we actually need to swap the core mode, we
	may already be in the correct mode.  Change-Id: Ia48af2c108e0f9868aae241bf25f60323503f092 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1107 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2012-11-08  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: use generic register core_cache This removes the armv7m::core_cache and uses the generic
	arm::core_cache.  Change-Id: If854281b31486cea8be005008f6a71a691b4c208 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/968 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2013-01-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: use generic arm::core_mode To simplify things change over to using the generic core_mode struct
	rather than maintaining a armv7m specific one.  Change-Id: Ibf32b785d896fef4f33307fabe0d8eb266f7086f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/966 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2013-01-27  Freddie Chopin <freddie.chopin@gmail.com>

	* : rtos: fix error message Probably a copy&paste error or remainings of some older version.  Change-Id: Ifb81a9a1fe8242f3b114cd0686dd264fbaad4920 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1123 Tested-by: jenkins Reviewed-by:
	Øyvind Harboe <oyvindharboe@gmail.com>

2013-01-03  Evan Hunter <ehunter@broadcom.com>

	* : rtos: Fix regression preventing use of first RTOS & clean up
	rtos_qsymbol() ThreadX support was not working due to it being first in the list of
	RTOS - regression.  Auto-detect off, an RTOS was always be marked as
	successfully detected, even if symbols are not found.  Lines 223-227
	were unnecessary as they are done in rtos_try_next() Added lots of
	comments Improved readability by separating: GDB not finding a
	symbol vs no more symbols being available Regression caused by patch which was allowed only 52 minutes for
	review : http://openocd.zylin.com/895 Change-Id: Ib4decb01db595ddb3796837c6d8338ce6b9a91ca Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Reviewed-on:
	http://openocd.zylin.com/986 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-12-26  Hsiangkai Wang <Hsiangkai@gmail.com>

	* : libusb: idProduct of USB device may be zero There is no constraint about idProduct in USB spec.  So, pids[i] may
	be 0 for USB devices.  Change-Id: I19d8974f4e7082e8b7e1f2d33c019ac4e61bc1e2 Signed-off-by:
	Hsiangkai Wang <hsiangkai@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1091 Tested-by: jenkins Reviewed-by:
	Xiaofan <xiaofanc@gmail.com> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2013-01-04  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add stm32lx loader Hard Fault workaround An issue has been seen with the stm32lx flash driver that if a power
	cycle/reset is applied after a erase, any ram loader will Hard Fault
	on execution.  A similar issue is mentioned in the errata for the device.  Two
	solution's seem to workaround this issue: 1, Handle the exception,
	   this means adding exception vectors to the loader and changing the
	exception address using nvic vtor register.  2. falling back to using slower direct page writes - approx 50%
	slower.  Using solution 1 would mean restrictions are placed on the loader
	location.  Solution 2 was chosen mainly as it was simpler too
	implement.  Change-Id: I429f06b5a3e3b1d8de90071a88a7df11fc9b46a7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1010 Tested-by: jenkins

2013-01-04  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: cleanup stm32lx driver Handle any leading bytes upto the next 128 byte page, enabling us to
	safely use the faster page write.  Rather than use a separate word/byte write to program any trailing
	bytes we use a combined write function.  Use memcpy for byte writes and change loader to using bytes.  Change-Id: Ie0164a30388f018dd00e752cf5ff87d4f96ced97 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1008 Tested-by: jenkins

2012-11-20  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: stm32f2x support write protection Change-Id: I42662681104bb06e28148229464ae144c4a54538 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/989 Tested-by: jenkins

2013-01-18  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: replace deprecated AM_CONFIG_HEADER with
	AC_CONFIG_HEADERS automake-1.13 has now deprecated AM_CONFIG_HEADER, use the correct
	AC_CONFIG_HEADERS instead.  Change-Id: I8adaec64cbad7f7318ff69091176c30b707cbb0b Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1117 Tested-by: jenkins Reviewed-by: Mikko
	Viitamäki <mikko.viitamaki@gmail.com> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2013-01-15  Roman Reichel <romanreichel@aol.de>

	* : opendous: Inhibit unnecessary state transitions When current tap state and end state are the same, transitions are
	added which is not what should happen.  The usbprog driver was
	already patched like this long time ago.  Change-Id: I339e87156bdc7b5c83c10c14025b749605d3871a Signed-off-by:
	Roman Reichel <romanreichel@aol.de> Reviewed-on:
	http://openocd.zylin.com/1113 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2012-12-28  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : doc: Add documentation for the ftdi driver Change-Id: I1ade2eb187b404141051d9f59ba06e8e6e5d51aa Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/1099 Tested-by: jenkins Reviewed-by:
	Spencer Oliver <spen@spen-soft.co.uk>

2012-11-20  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: allow stm32f1x options_write args in any order Currently we have to supply the arg's to this cmd in a set order,
	this change fixes that issue.  Change-Id: I14a15732e1917a91009e1ac14fba39ca1523c739 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/992 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-11-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : stm32f1x: fix stm32f0/f3 broken unlock The STM32F0 and F3 devices use a different default RDP to configure
	a unlocked device, make sure we use that.  Change-Id: I170779461412c4c202c2cfc8d90baedb7e388150 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/984 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-11-16  Szymon Modzelewski <szmodzelewski@gmail.com>

	* : flash: stm32f1x: write option bytes using the loader Some debuggers (stlink) can't issue 16 bit writes and have to use a
	loader to write flash memory.  Currently the loader is not used for option bytes, causing
	stm32x_write_options to fail silently on such hardware.  Fix this by using stm32x_write_block to write option bytes as well.  Change-Id: I49c29d53ab5e162463cb349d4c89bef96467e587 Signed-off-by:
	Szymon Modzelewski <szmodzelewski@gmail.com> Reviewed-on:
	http://openocd.zylin.com/480 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-12-07  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: stm32lx fallback to slow memory writes when no working
	area The current stm32lx driver will fail if no working area is provided
	- fallback to using slow writes if this is the case.  Change-Id: I92b1535fec4aebc855c63ce2c54b10f168f3c07e Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1007 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2012-12-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: stm32l use minimum family ram size for working area The smallest pert in the family has 10k RAM, so use that as a
	default for the working area.  Change-Id: I78be0d14a254c109ac15a7163552c6132f810416 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1005 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2012-12-04  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add new stm32l HD variant Updated as per latest RM0038 Rev 6.  Change-Id: Ia11309a1cdc3b8986f808b33a5c565bdc0ba58b0 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1003 Tested-by: jenkins Reviewed-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com>

2012-11-15  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: print target voltage if supported The stlink/v2 has the ability to check the target voltage if the
	firmware is recent enough (>= J13).  As a debugging aid we check the voltage at startup and issue an
	error if this is too low to debug reliably.  Change-Id: I98e251f3880e31049c4307051c30bedd3451cf87 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/980 Tested-by: jenkins

2012-12-12  Spencer Oliver <spen@spen-soft.co.uk>

	* : helper: improve windows gdb pipe performance Reducing the select and MsgWaitForMultipleObjects timeouts to 1ms
	makes a 2-300+% increase in the step time of gdb when using pipes
	under windows OS.  Change-Id: Id7e52cfb2b206347a9caea61672885a3e2b186de Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1050 Tested-by: jenkins

2012-12-05  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add stm32f2x rev X Updated as per ST RM0033 rev 5 Change-Id: I627fdab69b440b75b8e4f7c474216538fa5273a4 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/1001 Tested-by: jenkins

2012-11-08  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: update docs to include info on TI ICDI Change-Id: I3009920f512f76901d187318ee50284db34ab6f7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/924 Tested-by: jenkins

2012-11-01  Spencer Oliver <spen@spen-soft.co.uk>

	* : hla: add ability to configure read/write buffer size Other adapters (TI ICDI) that use this driver can use a larger
	read/write buffer size than the original stlink could.  Change-Id: I9beb7748049097cbe29a2340799c450bd74e199d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/948 Tested-by: jenkins

2012-10-23  Spencer Oliver <spen@spen-soft.co.uk>

	* : rtos: rename stm32_stlink target to hla_target Update rtos detection to use the new target name.  Change-Id: I4e55311bcfbc8af55708b43daf0c73b1c8145934 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/923 Tested-by: jenkins

2012-10-24  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: add deprecated target name support This enables us to change the target name without breaking any
	target scripts.  Change-Id: I635f961e573264d3dab2560f3a803ef1986ccfde Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/919 Tested-by: jenkins

2012-10-15  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: use common layout Even though the stlinkv1 and stlinkv2 use different usb classes they
	share the same layout scheme.  Merge the two into a common layout, thus enabling us to support
	other adapter layouts.  Change-Id: I7d02c44a7f94ebc7f2cb5428b02ee40294fb430d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/918 Tested-by: jenkins

2012-11-21  Evan Hunter <ehunter@broadcom.com>

	* : rtos: Add Cortex-R4 support for ThreadX Change-Id: I0b55af690ed917ca783d90d11dcf012f49792ed7 Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Reviewed-on:
	http://openocd.zylin.com/994 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-12-07  is2t <devel@is2t.com>

	* : LPC1788 target configuration file.  Change-Id: I68bd6b7c19d9d1bee13d0921c32b4490e68ab8f2 Signed-off-by:
	is2t <devel@is2t.com> Reviewed-on: http://openocd.zylin.com/1002
	Tested-by: jenkins Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-11-13  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: enable connect under reset Currently if the target supports srst_nogate we wait until target
	assert_reset until we get a chance to assert the srst.  However
	sometimes we will not get this far if the target has already failed
	the initial scan.  This has been tested on stm32.  Change-Id: I2c4486942a011534d3e2044788563669bf457b60 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/972 Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Tested-by: jenkins Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-11-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : jtag: add connect_type reset_config mode flag This adds the ability to request to the adapter how we want to
	connect to the target, eg. while srst is asserted or not.  This ability can very handy for connecting to unresponsive targets.
	A prerequisite is that the target supports srst_nogate.  Change-Id: I0f7c9475160048e8a963e16077754f5403ac8325 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/976 Reviewed-by: Paul Fertser
	<fercerpav@gmail.com> Tested-by: jenkins Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-10-17  Kamal Dasu <kdasu.kdev@gmail.com>

	* : mips_m4k: Added SMP debug support for mips architectures This change adds smp debug support for mips platforms. The change
	leverages the exiting gdb smp support as mentioned in the OpenOCD
	documentation for using gdb in smp environemnt. Added commands
	smp_on, smp_off, smp_gdb to control the smp mode. The implementation
	also provides a way to send Jc packet and toggle the gdb display
	core context as well.  Change-Id: I0835a5aed1844b6ebf8291582912f20695346003 Signed-off-by:
	Kamal Dasu <kdasu.kdev@gmail.com> Reviewed-on:
	http://openocd.zylin.com/937 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-23  Spencer Oliver <spen@spen-soft.co.uk>

	* : helper: fix code formatting Change-Id: Ide2d704c9ef4f5563649d5db53bbdd3641868b70 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/995 Tested-by: jenkins

2012-11-19  Jason Moehlman <jmoehlma@linux-software.com>

	* : arm: Mis-aligned data issue fix.  Fixes issue with big endian hosts and mis-aligned data on some
	hosts.  Fixes unaligned access exception on hosts that do not
	support unaligned access when debugging some arm targets.  Signed-off-by: Jason Moehlman <jmoehlma@linux-software.com>
	Change-Id: I6bc6fb1b3c3565b256674b9ef43ed2afd14f5178 Reviewed-on:
	http://openocd.zylin.com/996 Tested-by: jenkins Reviewed-by: Øyvind
	Harboe <oyvindharboe@gmail.com>

2012-11-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add stm32f42x/stm32f43x support Other than a larger memory layout these new devices also have an
	extra MER1 bit to perform the mass erase.  Change-Id: I7110a05bac95c1707160d1f5622181664291eb4a Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/985 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-11-03  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: optimize mips32_pracc_read_regs() code Current code needs 101 pracc accesses for this function, this code
	needs 12 less.  There is a singularity in this code, is the only
	function that restore a register from param out instead from  pracc
	stack. Obviously the register was previously stored at param out.
	This save 2 pracc accesses.  Change-Id: Ie95b6f983a3198dafc0eab2dd5acc11f871a8d83 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/958 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-02  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: optimize write code for speed All the writes are done by the new function
	mips32_pracc_write_mem_generic().  The code is similar to the read
	generic code.  The reuse of register 15 as memory base address saves
	3 pracc accesses.  The first write takes 13(12) pracc accesses and
	for additional writes 3(2).  Loading miniprograms should take 25%
	less time and loading fastdata transfer handler code should be over
	2x faster.  Change-Id: Ia3b24ba084af33be99da19f00a7fd4d1b291f350 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/956 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-01  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: optimize mips32_pracc_read_u32() function This function is highly optimized, there is not much to improve.
	Loading the base address for pracc access with the new defined
	MIPS32_PRACC_BASE_ADDR saves one instruction.  The memory address is
	loaded in too steps. First the upper address is loaded. The lower
	address is passed as an offset in the memory load instruction.  The
	offset is signed, if the lower address is in the range of 0x8000 to
	0xffff the offset is a negative value, and the upper address must be
	incremented by 1.  Pracc accesses are now 12 instead of 14.  Change-Id: I286945b240ed5c5d5cc540780a41a8a5fa075da3 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/952 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-01  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : mips: code clean up in mips_m4k_debug_entry() function The function mips_ejtag_read_debug() is defined in mips_ejtag.c and
	is called only by mips_m4k_debug_entry() for reading the CP0 debug
	register. The comment in this function is obviously wrong.  There is
	a generic function to read CP0 registers with similar code.  A call
	to mips32_cp0_read() should work in the same way.  The purpose of
	reading the debug register is to test if the DSS bit is set and
	clear the SSt bit.  It is faster and easier if the SSt bit is
	cleared without any check.  Remark: DSS bit set only means that a
	debug single-step exception ocurred, but it is not possible to step
	over a sdbbp instruction, in this case DSS will not be set and the
	SSt bit not cleared by code.  Resume command at another address will
	step, so really the behavior is not the same.  Change-Id: Ibd35f80e0f7669976d96f4ed813830cecf587971 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/950 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-09-01  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : Pic32mx.cfg: Change system clock to 8Mhz after reset-init.  As for openocd 0.6.0-rc2 the function mips32_pracc_fastdata_xfer()
	should now work at a scan frequency up to 1200Khz.  Mainly usefull
	to increase programming speed.  Also verify_image should be slightly faster.  Change-Id: I1e9b2be73690a4597e2f6ba069c1205026850f07 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/805 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-09  Freddie Chopin <freddie.chopin@gmail.com>

	* : Revert "mpsse: Always perform a general reset of the MPSSE in
	mpsse_open()" This reverts commit 452248af1d06cb1140b85f53ef4fdee1c746d807. This
	change breaks all non-high speed adapters. The patch was not tested
	and did not get any review.  Change-Id: Ib38fd242a202fd7c5a8711d9f857cd8f586df44e Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/973 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-05  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: add async algorithm timeout An issue was observed when using an async algorithm with a target
	that had not been previously reset beforehand. The target would
	enter a infinite loop within target_run_flash_async_algorithm.  Add a timeout that will at least prevent this issue from happening.
	and also suggest the user resets the target.  Change-Id: I5277e0d64e252d3d353e8d5bc9889a37fdc63060 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/949 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-11-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex: autostep correctly handle user breakpoint If we halt due to a breakpoint make sure that we do not remove it
	during a step, only remove breakpoints we have created.  Change-Id: I060168e54e53637d4fbf3cbcf62072efdb353807 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/947 Tested-by: jenkins

2012-10-25  Gianluca Renzi <gianlucarenzi@eurekelettronica.it>

	* : Added support for NXP LPC1850 Microcontroller Added a new configuration file for LPC18xx based boards, such as
	HitexLPC1850RevA Evaluation Board, and all other based on the same
	microcontroller by NXP.  Change-Id: I68c3827be535b6d09a5c70b6d57191937d00354d Signed-off-by:
	Gianluca Renzi <gianlucarenzi@eurekelettronica.it> Reviewed-on:
	http://openocd.zylin.com/930 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-06  Gianluca Renzi <gianlucarenzi@eurekelettronica.it>

	* : Added support for SPI Flash Winbond W25Q64CV Added in spi device table SPI Flash Winbond W25Q64CV 64Mbit Its
	Device ID 0x001740ef is the same as Spansion S25FL064K (may be a
	clone?) Change-Id: I3cdbd182a0ccde75c78684cb9d54c76059bf34e0 Signed-off-by:
	Gianluca Renzi <gianlucarenzi@eurekelettronica.it> Reviewed-on:
	http://openocd.zylin.com/928 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-05  Matthias Blaicher <matthias@blaicher.com>

	* : rtos: Make ChibiOS code aware of endiness The ChibiOS code was derived from other RTOS support code which does
	not honor the target vs. host endiness.  The other RTOS code still needs to be fixed.  Change-Id: Idf42cfaa30945289bf1756ad6491fff84913eda9 Signed-off-by:
	Matthias Blaicher <matthias@blaicher.com> Reviewed-on:
	http://openocd.zylin.com/962 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-11-04  Matthias Blaicher <matthias@blaicher.com>

	* : rtos: Fix wrong ReadyList lookup in ChibiOS We already have the address of the ReadyList provided by gdb.  It is
	wrong to resolve that address a second time and it only works by
	accident.  Change-Id: I82fa2360931c416290cd7f83e1883f86f90dedc2 Signed-off-by:
	Matthias Blaicher <matthias@blaicher.com> Reviewed-on:
	http://openocd.zylin.com/959 Reviewed-by: Joel Bodenmann
	<joel@unormal.org> Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-10-12  Evan Hunter <ehunter@broadcom.com>

	* : Ensure Cortex-M reset wakes device from sleep (wfi/wfe) Change-Id: Idb52ca3123bb3e2f7863ba1b82ac9b176d7cb094 Signed-off-by:
	Evan Hunter <ehunter@broadcom.com> Reviewed-on:
	http://openocd.zylin.com/833 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-10-28  Peter Stuge <peter@stuge.se>

	* : ftdi/flyswatter2.cfg: Define the LED signal Change-Id: Ic5d85c0d855bcffba54de7df6cff4d726656af97 Signed-off-by:
	Peter Stuge <peter@stuge.se> Reviewed-on:
	http://openocd.zylin.com/940 Tested-by: jenkins

2012-10-24  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: update stm32 flash driver versions Seems ST have changed the ref manual (RM0313 rev1) and reverted to
	using letters rather than numbers for the stm32f3x family.  Change-Id: I3a87ec9b0b2447d57dfef98603d30e28fe9ac927 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/926 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Peter Stuge
	<peter@stuge.se>

2012-10-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : gdb: use strncmp rather than strstr All the packets received will be at start of the packet buffer, so
	use more efficient strncmp.  Change-Id: Ib9c45d8f53425367006b1f880c1bde27f03a6cf9 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/932 Tested-by: jenkins Reviewed-by:
	Matthias Blaicher <matthias@blaicher.com> Reviewed-by: Peter Stuge
	<peter@stuge.se>

2012-10-09  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : adi_v5_jtag.c: Avoid infinite recursion in
	jtagdp_transaction_endcheck() Change-Id: I81163d9c2ff97ed768f8a3ac1505a8d2b5016b91 Signed-off-by:
	Peter Stuge <peter@stuge.se> Reviewed-on:
	http://openocd.zylin.com/908 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-10-27  Matthias Blaicher <matthias@blaicher.com>

	* : rtos: Use ARRAY_SIZE instead of coding it by hand Use ARRAY_SIZE in helper/types.h to determine the size of the symbol
	list.  Change-Id: Icc9838323510f8602efa5d0162a4daed33f863b9 Signed-off-by:
	Matthias Blaicher <matthias@blaicher.com> Reviewed-on:
	http://openocd.zylin.com/935 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-10-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : Revert "gdb_server : 'R' command replied by OK" This reverts commit 1e7e59445287c3389b52903a7cacdb5635248f32.  For some reason the above commit added a reply to the restart
	command - this is not required as per the gdb docs.  Newer versions of gdb (7.0 and above) will complain about this
	reply.  Change-Id: Ieeae3dcf44d798a91dfc6f7348da982c2ce1be31 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/910 Tested-by: jenkins Reviewed-by: Joel
	Bodenmann <joel@unormal.org>

2012-10-08  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: fix vector catch not being cleared Seems after a reset the stlink is not clearing the vector catch
	(VC_CORERESET) in the Debug Control Register.  This has the side effect if the user presses an external reset the
	core will halt, this patch fixes that.  Change-Id: Ic3b2c3991b79cacbbd901c02b79613c2e204e71f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/905 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-10-04  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: fix at91sam3/4 driver typos Change-Id: I06efdfcc48279b06035e9e173945304310054864 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/896 Tested-by: jenkins Reviewed-by: Olivier
	Schonken <olivier.schonken@gmail.com>

2012-10-05  Freddie Chopin <freddie.chopin@gmail.com>

	* : Cleanup lpc2000.c Do some cleanup in lpc2000.c - concatenate short lines into single
	longer lines, move variable declarations to "just before" they are
	used, etc.  Change-Id: Ia7b9f0307dd4857ee8e15c8a6d4d7b5c4392fd80 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/861 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-10-08  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfi: remove typos and code cleanup No change to code, just fix some formatting issues.  Change-Id: I177430a99bfecbf90a1ddf623321c29d4db516b0 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/906 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-10-09  Matthias Blaicher <matthias@blaicher.com>

	* : rtos: Don't crash on qSymbol GDB packet when no RTOS is
	configured Commit 43902905bbc8fdc9d764f3843d697161d9b5fd92 fixed a bug but also
	introduced a regression. The RTOS GDB packet handler is always
	called, not only when an RTOS is actually configured, so it is
	important to check if an RTOS has been configured or not before
	actually processing the qSymbol packet.  Change-Id: I1aed54f6c2817e1ebf99ddcda051df4554ea5a3a Signed-off-by:
	Peter Stuge <peter@stuge.se> Reviewed-on:
	http://openocd.zylin.com/907 Tested-by: jenkins

2012-10-08  Peter Horn <peter.horn@bluewin.ch>

	* : rlink: Fix DTC command timeout With the current timeout setting i = 10 in drtc_run_timeout() I get
	"Error: too many retries waiting for DTC status" when loading a
	program into the FLASH of an STM32F1.  By experimentation a value of i = 22 was found to be the minimum on
	my system. Therefore the value has been increased to i = 50.  Change-Id: Ib67fc648ccaad305871b81c2c39e49de53c330a0 Signed-off-by:
	Peter Horn <peter.horn@bluewin.ch> Reviewed-on:
	http://openocd.zylin.com/863 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-10-06  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : stm32f1x: Increase options erase timeout The erase time for the option byte page is not directly specified
	but is assumed to be the same as the other pages (or mass erase)
	which is 20 to 40 ms. The current timeout value is 10 which means 10
	ms plus the time to poll the status flag that many times.  With faster interfaces or drivers (such as when using the ftdi
	driver instead of the ft2232 driver) the adapter delay is not enough
	in some cases, unless the jtag freq is reduced as a workaround. The
	result is a "timed out waiting for flash" error when trying to write
	the options.  Increase the timeout to a minimum of 100 ms, which is in line with
	the other erase timeouts. Also make defines of both the erase and
	the program timeouts.  Change-Id: Ia86e71505033c52b60ef30092000689fbb547a18 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/902 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-09-30  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash/nor: make all working area pointers local Working area pointers shouldn't be re-used, so there's no point in
	storing them in the flash bank struct. Make all such pointers local.  Change-Id: Iab65b4e8b475fed7fc72fb8928f54590fa69d260 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/865 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-10-04  Spencer Oliver <spen@spen-soft.co.uk>

	* : Revert "target: remove unused working area 'user' field" This reverts commit 63a23e6fc862b94f00e0833ab474bd02901a019f Change-Id: I62778fb3b1dabc6470d582bea9ca64d593999233 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Change-Id:
	Iaf5a2cf5bdc4a62ba68ad9403e1c1229112970de Reviewed-on:
	http://openocd.zylin.com/899 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-10-04  Peter Stuge <peter@stuge.se>

	* : rtos: Rewrite rtos_try_next() for readability The new code is almost functionally equivalent to the old.  The function now returns 0 instead of -1 if target->rtos has not yet
	been allocated. All call sites only test for success, and in
	practise that is also the only thing that matters; if the function
	successfully iterated to the next RTOS or not.  Other than that the only difference is that the code is now
	readable.  Many thanks to Matthias Blaicher for the fix to the iteration error! Change-Id: I3342826f653b5e46c99ad1f58eec26ff10795c33 Signed-off-by:
	Peter Stuge <peter@stuge.se> Reviewed-on:
	http://openocd.zylin.com/894 Reviewed-by: Matthias Blaicher
	<matthias@blaicher.com> Tested-by: jenkins

2012-09-12  Olivier Schonken <olivier.schonken@gmail.com>

	* : Modified Sector Erase for AT91SAM4S In FLASHD_ErasePages AT91C_EFC_FCMD_EPA is used to erase sectors.
	According to the datasheet FARG[15:2] defines the page from which
	the erase will start.This page must be modulo 4, 8, 16 or 32
	according to the number of pages to erase. FARG[1:0] defines the
	number of pages to be erased. Previously (firstpage << 2) was used
	to conform to this, seems it should not be shifted... Changed it to
	(firstPage) | erasePages.  Change-Id: I791cc7fc4faf056623ad5a6c7e860315306098a1 Signed-off-by:
	Olivier Schonken <olivier.schonken@gmail.com> Reviewed-on:
	http://openocd.zylin.com/830 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-10-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : lpc1768-stick: avoid driving srst high at startup this avoid driving nSRST high after startup, by making sure the nOE
	is initialized inactive/high.  This also matches the config used for the STM32-PerformanceStick.  Change-Id: I9376de575b7dc834310d57dbd58575d51f60183e Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/878 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins

2012-09-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: fix incorrect cortino reset config The cortino uses a direct srst connection rather than via any
	buffer.  As a result this fixes issues with the newer ftdi driver.  Change-Id: I28f6781bccae24de79aa6a03161f298a14fe2581 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/850 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-10-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: update ti/stellaris url's Change-Id: I96f17c5ea2be506a6b88434616ca52c3e392868a Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/879 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-10-02  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: fix incorrect stm32-performance stick config This hardware uses a output enable buffer that was not correctly
	defined.  Fixes issues when using the new ftdi driver.  Change-Id: Iba6235a71a6d3c7d16ab729f858b336a4574dfea Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/844 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins

2012-09-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : gdbserver: code cleanup Change-Id: Iab2966be8dd145f33f41902e2d55afe03d0f5856 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/857 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-09-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: remove unnecessary jim.h include as well as not being required, as it is already included by
	jim-nvp.h.  It also makes the doxygen output a bit clearer to read.  Change-Id: Ia2bed7142b4a56b48b1ecf0734e63f860dcd1014 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/859 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-09-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add ti ek-lm3s8962 config Change-Id: I753cec80a904130088b00b3f81b6dd61808662d6 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/852 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-09-25  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: str9-comstick tested and working Change-Id: Ia6c45477381e78cb9508b4731438161e18be1f38 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/843 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-09-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add stm32f3 rev 2 flash support Change-Id: Ibab5112f5f70a609136d01ebc50530a334640d03 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/809 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-09-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : ftdi: incorrectly using output register for direction fix a simple copy/paste bug.  Change-Id: I5caaa4d16d30f26a453bd6a00c95261fd6e716c5 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/849 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-09-24  Spencer Oliver <spen@spen-soft.co.uk>

	* : ftdi: fix adapter_init rclk fallback adapter_init expects jtag_get_speed (via ftdi_khz) to return a valid
	fallback speed if the adapter does not support rclk. The call was
	failing and so was the rest of the adapter init.  The makes the new ftdi driver emulate the old ftdi driver.  Change-Id: Ic7fac7d201241eb181e98f1ba7111f159731f6e0 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/839 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-09-29  Peter Horn <peter.horn@bluewin.ch>

	* : Fix: Error while reading from USB endpoint This patch fixes the bug reported here: http://sourceforge.net/mailarchive/message.php?msg_id=28350157 When using Rlink under Linux, openocd exits with: "Error: Read of endpoint 2 returned -75, expected 17" The return value of -75 translates into EOVERFLOW. The cause is a
	wrong output buffer size argument passed to dtc_run_download().  Change-Id: I5d056705181ab6a6d4355524df06a0ea9c605961 Signed-off-by:
	Peter Horn <peter.horn@bluewin.ch> Reviewed-on:
	http://openocd.zylin.com/862 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-09-25  Evan Hunter <ehunter@broadcom.com>

	* : Add extra Coresight component ROM identifiers for the Cortex-M4 Signed-off-by: Evan Hunter <ehunter@broadcom.com> Change-Id:
	Iaf2d69cf10c341d3a516986677f69a4389b29b1a Reviewed-on:
	http://openocd.zylin.com/841 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-08-16  George Harris <george@luminairecoffee.com>

	* : SPI nor drivers refactor Moved common SPI flash driver code (device table, common commands)
	into flash/nor/spi.c and spi.h.  Updated flash/nor/stmsmi.c to
	reflect this refactor.  Change-Id: I141644b0af71d3835f29f06dd15b505a00e5b6ec Signed-off-by:
	George Harris <george@luminairecoffee.com> Reviewed-on:
	http://openocd.zylin.com/782 Tested-by: jenkins Reviewed-by:
	Aurelien Jacobs <aurel@gnuage.org> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-09-07  Freddie Chopin <freddie.chopin@gmail.com>

	* : Restore -dev suffix, archive NEWS file, add new blank NEWS file
	- start new cycle for version 0.7.0.  Change-Id: I549bd815b62292ea4da6ed5c445c7c8a55521d9d Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2012-09-06  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: issue error for stm32 option writing The stlink interface currently does not support 16bit read/writes.
	Until a fix is included we issue a error that this is unsupported.  Change-Id: I4552cf2bd3b29e90ecc905325b743c08e2b92d67 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/808 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-30  Spencer Oliver <spen@spen-soft.co.uk>

	* : configure: use consistent help text Change-Id: I5e1d7c88e9310e6415f3663d7a657f516bd24660 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/803 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-30  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex_m: suggest using hardware srst if VECTRESET used If the target does not support SYSRESETREQ we fall back to using
	VECTRESET.  This however does not reset the peripherals and we issue
	a warning to the user to suggest using a reset-init script.  Also suggest that using hardware srst will give them the same
	functionality as using SYSRESETREQ.  Change-Id: Ie1781c4b849fed66c52222e6539735537c879fb3 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/802 Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com> Tested-by: jenkins Reviewed-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2012-08-29  Freddie Chopin <freddie.chopin@gmail.com>

	* : The openocd-0.6.0-rc2 release candidate.  Signed-off-by: Freddie Chopin <freddie.chopin@gmail.com>

2012-08-21  Spencer Oliver <spen@spen-soft.co.uk>

	* : server: warn if user changes server port after init So the user can view the current port number these cmds were changed
	to COMMAND_ANY.  However this means that the user can also attempt
	to change the port number after init, even though this is not
	supported. Issue a warning that this is not supported.  Change-Id: I3d20dcd81277e7d994240a8e314f27672ff760c4 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/788 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: improve swd hardware reset Treat SWD wait result as success, otherwise hardware reset will
	sometimes fail.  Change-Id: I0dbdbe9e75924fe0dde547a72883c60c3db7b15e Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/799 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-23  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : mpsse: check available buffer space even for discarded data
	scans When there's no data to scan in or out, we still use the clock data
	out command and fill the buffer with zeroes, so make sure the buffer
	is checked for available space.  Change-Id: Ia6005c40c81f7fdb89379f1b5023fe383184d210 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/793 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-28  Spencer Oliver <spen@spen-soft.co.uk>

	* : adapter: add 'adapter speed:' prefix to output Currently only the adapter speed is printed, which can be rather
	misleading when DEBUG_INFO is disabled, all the user sees is 6000
	kHz instead lets print adapter speed: 6000 kHz Change-Id: I8f02a63f47344457e3c3d0a6774157fa18206440 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/797 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-20  Freddie Chopin <freddie.chopin@gmail.com>

	* : Add JTAG-lock-pick Tiny 2 config files DISTORTEC's JTAG-lock-pick Tiny 2 is a new interface using FT232HL
	chip and layout similar to KT-LINK.  Change-Id: I2831b169cd448ca70397f2dd86c5b749dda3dabf Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/787 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-07-19  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : kinetis: bugfix in kinetis_write() fallback path Offset calculation into buffer was wrong and code would read outside
	buffer if count was not a multiple of four.  Change-Id: Ied625b10221423d5a5f25d27ce1edd8c2c3eca8a Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/749 Reviewed-by: Peter Stuge
	<peter@stuge.se> Tested-by: jenkins Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-08-24  Spencer Oliver <spen@spen-soft.co.uk>

	* : jtag: fix clang ulink memory leaks Memory leaks discovered by clang 3.1 Change-Id: I8a784ba9726deac508424eddb27e9c8409e2773f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/795 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-23  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: update for target's that support cortex_m AIRCR SYSRESETREQ If the target supports SYSRESETREQ make sure we use that as the
	default if srst is not fitted/configured.  Change-Id: I24c907493134506320e69c1218702930629c1cdc Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/792 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-22  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : arm7_9: Fix broken halfword/byte memory reads Always scan out all bits, but make sure only the allowed number of
	bytes end up in the caller-provided buffer. Discard the rest by
	adding another scan field when size < 4.  Rewrite the endianness callback to avoid reading outside allocated
	memory.  Make it directly usable as a callback without the need for
	a wrapper. Move the shared callback to a more suitable home in
	arm7_9_common.  This fixes the regressions introduced in commits
	991ed5a2b657e660f744eefddb084724e52938ea
	cb90d32e386a7489d31136997209c61e9559ff5e and
	c3074f377c1da33ca8ba8493826e1b52351eebc6 Change-Id: Ia8bde8c5a9844e89a1d6c0bc8534cd26f02f8d11 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/789 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-08-16  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: remove unused working area 'user' field working_area::user has never been used so lets remove it.  Change-Id: I1200311b34248549c1fe30c9f675e6129b7bebee Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/781 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-01  Martin Nowak <dawg@dawgfoto.de>

	* : build: fix clang warnings Change-Id: I3c6a63a18034535f0a8c2c62ba8a708f09d7839b Signed-off-by:
	Martin Nowak <dawg@dawgfoto.de> Reviewed-on:
	http://openocd.zylin.com/765 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-08-13  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: remove lpc2000 clang warnings By Initialising the param_table we remove the clang warning's.  We
	are also make sure we are not passing any rogue values to
	lpc2000_iap_call.  Change-Id: Idb3b0077d1dae5f03dedab1d46d01140fe9ffb10 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/777 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-13  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: fix memory leaks Fix the memory leaks found by clang-3.1 Change-Id: Iaae68627ef599c324c9c9ee5737c22e92512862d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/775 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : helper: command.c cleanup Change-Id: I66643960e38625e843b5f54d1c072e4eee78284d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/772 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-08-11  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : configure.ac: Fix misspelled variable Nothing checks it against 0, so it hasn't caused any problems.  Change-Id: I5e349299c37fb72bab811d78992f6de3731a986a Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/774 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-08-10  Andrew Karpow <notandyk@gmail.com>

	* : cfg: added new openocd-usb highspeed adapter The embedded projects shop released a new highspeed version of the
	openocd-usb adapter. These configuration files adds support for it.  Change-Id: I9b23d7889f998712b9041af101e3f0b9aba85b28 Signed-off-by:
	Andrew Karpow <notandyk@gmail.com> Reviewed-on:
	http://openocd.zylin.com/771 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-08-02  Freddie Chopin <freddie.chopin@gmail.com>

	* : The openocd-0.6.0-rc1 release candidate.  Change-Id: Idd85159050a39c2136ee8a31f939a2b3e35cff1b Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com>

2012-08-02  Freddie Chopin <freddie.chopin@gmail.com>

	* : Update link and instructions about ssh keys in HACKING Gitweb changed their instructions, info about ssh keys is now on
	separate page for all platforms (selector at top of the page).  Change-Id: I3eab5dfae06cfb73f4a76718f92518454021e557 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/768 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-06-08  Alexander Osipenko <sipych@gmail.com>

	* : arm946e: add icache/dcache manipulation commands.  Provide cache operations coherent with internal target state.
	Functions similar to xscale target.  Change-Id: Ic6b9a894154f6e4f5672b5d7f5035c9774ee9499 Signed-off-by:
	Alexander Osipenko <sipych@gmail.com> Reviewed-on:
	http://openocd.zylin.com/695 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-06-08  Alexander Osipenko <sipych@gmail.com>

	* : arm946e: cleanup C0.C cache type reg access Cache type register C0.C is read-only, and display hard core
	configuration information.  This information is unlikely be changed
	in runtime.   - removed C0.C access when result is not used in    arm946e_invalidate_dcache()  - access C0.C only once per target, store result    in cp15_cache_info field of target structure  - fix cache index count calculation Change-Id: I12bc4c967fdf07f54d755f2f2f42406c0ababc1a Signed-off-by:
	Alexander Osipenko <sipych@gmail.com> Reviewed-on:
	http://openocd.zylin.com/693 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-05-27  Vandra Akos <axos88@gmail.com>

	* : added target configs for the lpc17xx devices lpc1751, lpc1752, lpc1754, lpc1756, lpc1758, lpc1759 lpc1763,
	lpc1764, lpc1765, lpc1766, lpc1767, lpc1768, lpc1769 Change-Id: I740b66930cd379c9390f3c1031cdbada747a6ce4 Signed-off-by:
	Vandra Akos <axos88@gmail.com> Reviewed-on:
	http://openocd.zylin.com/676 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins

2012-07-20  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : flash: stm32f1x: Pad odd byte writes early to avoid 16-bit
	writes For odd byte counts, stm32x_write() pads the last byte and writes it
	using a discrete 16-bit access. The stlink debugger can't issue
	16-bit writes so it fails for odd byte writes.  This patch changes stm32x_write() to pad odd byte writes into a new
	buffer and use the normal code path with a single block write. The
	fallback path, when working area cannot be allocated, has to use
	16-bit writes though which means that sufficient working area is
	required for stlink and odd byte writes.  Change-Id: I4c5dc456300b6e1056f76b0095be8aceee3e954f Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/756 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-07-20  Freddie Chopin <freddie.chopin@gmail.com>

	* : cfg: Add config file variants using the ftdi driver instead of
	ft2232 part 3 - files that are currently untested but verified with
	schematics Change-Id: Ia00c3b6437bffcfa0d178e779926ad9309e289fe Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/755 Tested-by: jenkins

2012-07-19  Freddie Chopin <freddie.chopin@gmail.com>

	* : cfg: Add config file variants using the ftdi driver instead of
	ft2232 part 1 - files that were tested an verified as working fine Change-Id: If5986853a1cf118a9eb3b4c13b036d0f71c39624 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/534 Tested-by: jenkins

2012-07-23  Spencer Oliver <spen@spen-soft.co.uk>

	* : doc: add missing ulink v1 to supported interfaces Change-Id: Ic497a3f9076ec1799ca715a99bc2e634bd1af40d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/761 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-05-09  Salvador <sarroyofdez@yahoo.es>

	* : Speed up mips_m4k_write_memory() Do not call mips32_cp0_read() if not needed.  This will speed up
	execution of mips_m4k_write_memory() by near 2x, with parameter
	count = 1.  Change-Id: I7829a7802b6475bc6d4ac3f0632d8d239d1072da Signed-off-by:
	Salvador <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/624 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-07-12  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: fix stm32 flash driver typo's Change-Id: I37f3fee063d7f8729e057dcfe8904651790439e6 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/745 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-07-12  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: stm32l handle flash size read failure Rather than failing if the flash size reg cannot be read lets assume
	we have the max flash size fitted.  It is quite common on early ST silicon to not correct support this
	register.  Change-Id: Ife058d60ae0027faad2c929ebd5b7fe2ef27234d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/743 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com> Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-05-27  Vandra Akos <axos88@gmail.com>

	* : lpc1768.cfg abstracted and moved to lpc17xx.cfg - Moved variant-independent code to lpc17xx.cfg, which will be
	included from lpc17??.cfg files automatically.  - lpc1768.cfg filled with variant-dependent code.  Change-Id: I7dabe6ed7da7be640ed38c13aaaa096b8796d9a0 Signed-off-by:
	Vandra Akos <axos88@gmail.com> Reviewed-on:
	http://openocd.zylin.com/675 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-07-05  Freddie Chopin <freddie.chopin@gmail.com>

	* : Add support for FT232H chips FT232H chips are new highspeed devices from FTDI. Basically these
	are a half of FT2232H (or a quarter of FT4232H), so only one channel
	which can be used as OpenOCD interface. The chips are supported by
	libftdi 0.20 or later and by ftd2xx 2.08.12 or later.  Change-Id: Ic9a2c279167c3419a24f0d6befacbb83c4ffeb25 Signed-off-by:
	Freddie Chopin <freddie.chopin@gmail.com> Reviewed-on:
	http://openocd.zylin.com/736 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk> Reviewed-by: Salvador Arroyo
	<sarroyofdez@yahoo.es>

2012-07-25  Alan Bowman <alan.michael.bowman@gmail.com>

	* : Test the incoming debug_level, rather than the current.  The existing code tests the current debug_level for validity,
	allowing the user to set it too high and never change it after that.
	The new behaviour is to test the debug_level that the user has
	requested.  Change-Id: I85726a2e606c8d137e9b1cfe76fee865084844b1 Signed-off-by:
	Alan Bowman <alan.michael.bowman@gmail.com> Reviewed-on:
	http://openocd.zylin.com/764 Tested-by: jenkins Reviewed-by: Øyvind
	Harboe <oyvindharboe@gmail.com>

2012-07-19  Tom Rini <trini@ti.com>

	* : board: Add TI AM335x Evaluation Module This patch adds the TI AM335x Evaluation Module (ti_am335xevm) board
	configuration file.  Change-Id: Id3529e54972f8acd8c790ad55c8d0f4058a1a1f6 Signed-off-by:
	Tom Rini <trini@ti.com> Reviewed-on: http://openocd.zylin.com/753
	Tested-by: jenkins Reviewed-by: Peter Stuge <peter@stuge.se>

2012-05-27  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : MPSSE: Add FT232H to supported chips Change-Id: I1ce1db7eb87a7cdeafc1f8b8b34594f6fa3bf1f8 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/677 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com> Reviewed-by: Peter Stuge
	<peter@stuge.se>

2012-01-30  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Add MPSSE communications layer for FTDI chips This is a higher-level libftdi replacement for use when implementing
	protocol drivers for FT2232, FT2232H or FT4232H. It takes care of
	device open/close and, unlike libftdi, also MPSSE command
	abstraction, command queueing, buffer handling and return data
	parsing.  The FTDI device is accessed through libusb-1.0 in asynchronous mode.  Change-Id: I051adb574dcc39f8ca9cd7f6dbe6ae4aeea5f4c8 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/451 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com> Reviewed-by: Peter Stuge
	<peter@stuge.se>

2012-07-03  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: fix arm semihosting support Add missing arm cmd handlers that enable semi hosting support to
	work as expected.  Change-Id: I063d82c48b82b4f6aed4efc4b08ea752d78e9047 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/734 Tested-by: jenkins Reviewed-by: Alan
	Bowman <alan.michael.bowman@gmail.com> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2012-06-28  Stefan Mahr <stefan.mahr@sphairon.com>

	* : jtag: fix opendous reset command This cast to uint16_t is not (host) endianess save.  Depending on
	compiler usb_out_buffer[1] may be undefined.  Change-Id: If686e5d5da39541329c340bbdef472ee7ab0281c Signed-off-by:
	Stefan Mahr <stefan.mahr@sphairon.com> Reviewed-on:
	http://openocd.zylin.com/732 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-06-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : jtag: remove redundant id check commit 5b0a1315948252ddde03fc74763ef8300c5f329c removed the need to
	check for 0xffffffff.  Change-Id: Ib4d99bf1797ccd868ec15631dbc16079571a8dd6 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/728 Tested-by: jenkins Reviewed-by: Mathias
	Küster <kesmtp@freenet.de> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-05-25  Vandra Akos <axos88@gmail.com>

	* : target.c, jim_target_md using command_print_sameline jim_target_md is supposed to print out results with command_print in
	hexdump format. It was using command_print which appends a newline
	character aftre every invocation. Using command_print_sameline
	instead Change-Id: Iaff03021acc38d54b5a082cb58b82aa4449c0715 Signed-off-by:
	Vandra Akos <axos88@gmail.com> Reviewed-on:
	http://openocd.zylin.com/669 Tested-by: jenkins Reviewed-by:
	Alexander Osipenko <sipych@gmail.com> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-02-12  Andreas Fritiofson <andreas.fritiofson@gmail.com>

	* : Add a bit-level transfer queue Interface drivers regularly need to keep track of where each part of
	a long read buffer should be copied, once that data arrives. Both
	source and destination are often at an arbitrary bit offset.  This queued bit-level copy can help with that, by allowing the
	driver to perform postponed reads from the receive buffer already
	when building the transmit buffer, and have those reads executed at
	a later time when data is available.  For simplicity, it uses the linked list implementation list.h
	imported from the Linux kernel.  Change-Id: I06862a0a6f057cbbcacfb021f17a795195faded2 Signed-off-by:
	Andreas Fritiofson <andreas.fritiofson@gmail.com> Reviewed-on:
	http://openocd.zylin.com/450 Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Reviewed-by: Peter Stuge <peter@stuge.se>

2012-05-25  Alexander Osipenko <sipych@gmail.com>

	* : J-Link: Initialize .transports to suppress warning.  jtag_interface.transports field was left uninitialized, which
	triggers warning message on program startup.  Although hardware natively supports SWD interface, no software
	support currently present, so the value choosen to be <jtag_only>.  Change-Id: I2da41790b1850950af416cec4362d5b7bf927b2b Signed-off-by:
	Alexander Osipenko <sipych@gmail.com> Reviewed-on:
	http://openocd.zylin.com/670 Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-05-09  Mathias K <kesmtp@freenet.de>

	* : Fix idcode end of chain flag.  For multi core cpus with cores without an idcode this doesn't work
	because the extra bit for every core and a n-bit shift in the data
	stream.  Change-Id: Iba0ad9422ea55c01492b27b936d028719be31180 Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/618 Tested-by: jenkins Reviewed-by: Bill
	Traynor <wmat@alphatroop.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-05-28  Alexander Osipenko <sipych@gmail.com>

	* : J-Link: Forcibly select JTAG transport Some versions of Segger's software do not select JTAG interface by
	default.  Do it in the intial setup.  Firmware version check code still present, with updated set of
	unsupported.  Note from Segger: Alright, we were not aware of that OpenOCD does
	not select the interface before it starts communicating with the
	target.  A debugger should always select the appropriate target
	interface before it starts communicating with the target, since
	otherwise it could also happen that a previous session with another
	debugger had selected SWD and the interface was not switched again
	by OpenOCD.  Change-Id: I5b4eab7e0e3625ec32be75a36d89e16d17e899bf Signed-off-by:
	Alexander Osipenko <sipych@gmail.com> Reviewed-on:
	http://openocd.zylin.com/667 Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-05-25  Alexander Osipenko <sipych@gmail.com>

	* : J-Link Unsupported firmware version check OpenOCD does not work with the latest firmware versions of Segger
	J-Link.  Latest working version: V4.42c Unsupported versions: 4.44 to 4.46f,
	4.20 to 4.30 Older versions of firmware can be found here:   http://www.segger.com/j-link-older-versions.html The firmware versions does not correspond directly with "Software
	and documentation pack for Windows", it may be distinguished by the
	"compile" date in the information string.  Print an warning message if unsupported firmware version detected.  Change-Id: Id7d1f965b8ce2fdbcd0026a85ddd093e2fa48720 Signed-off-by:
	Alexander Osipenko <sipych@gmail.com> Reviewed-on:
	http://openocd.zylin.com/666 Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-05-27  Vandra Akos <axos88@gmail.com>

	* : lpc1768.cfg pulled out constants from flash init as variables Seems like an esthetic change, but it will allow easy support for
	other lpc17xx devices.  Change-Id: I2cb953ce1afdd82f6ca65b38d5557a28416f895e Signed-off-by:
	Vandra Akos <axos88@gmail.com> Reviewed-on:
	http://openocd.zylin.com/674 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-05-29  Liviu Ionescu <ilg@livius.net>

	* : tools: initial.sh fixed to accept spaces in current path When changing the path to the hooks folder, the path needs to be
	surrounded by quotation marks, to avoid failures when the current
	path contains spaces (not only legal, but a common case on Mac OS
	X).  Change-Id: I8f180ab5f26fab00a7d78ebfe5713d4146c27452 Signed-off-by:
	Liviu Ionescu <ilg@livius.net> Reviewed-on:
	http://openocd.zylin.com/683 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-05-25  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: include static members in doxygen output Change-Id: I1867e8d7a3bed1a399c0790f63fee68fb6b299c4 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/672 Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2012-05-23  Vandra Akos <axos88@gmail.com>

	* : Jim_GetResult was called twice Removed the superflous call to Jim_GetResult, as we are reading in
	the result to a variable anyways in the next instruction.  Change-Id: Idc96400737dc15e28304e97bcea79fa6c7a88ae1 Signed-off-by:
	Vandra Akos <axos88@gmail.com> Reviewed-on:
	http://openocd.zylin.com/661 Tested-by: jenkins Reviewed-by: Øyvind
	Harboe <oyvindharboe@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-05-22  Spencer Oliver <spen@spen-soft.co.uk>

	* : jtag: fix incorrect LOG_DEBUG abs_chain_position Call jtag_tap_add before LOG_DEBUG otherwise abs_chain_position does
	not get correctly set.  Change-Id: I47bd00cc83259c8bfd5551e08c3bb2ebeb5993f5 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/658 Tested-by: jenkins Reviewed-by: Bill
	Traynor <wmat@alphatroop.com>

2012-05-25  Mathias K <kesmtp@freenet.de>

	* : config: Add TI Calypso CPU configuration This patch add the TI Calypso CPU to the configuration files.  Change-Id: Ieb462960391c4a2c630d7a83699c3b6e8162ace9 Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/630 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-05-22  Spencer Oliver <spen@spen-soft.co.uk>

	* : jtag: fix opendous typo Change-Id: Ia88c32f2394bde2048bdd73625e7664c93a9a87d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/656 Tested-by: jenkins Reviewed-by: Bill
	Traynor <wmat@alphatroop.com> Reviewed-by: Peter Stuge
	<peter@stuge.se>

2012-05-22  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: check read_reg result Change-Id: I284824aa6f5eae8f6e910a482e9f7435e649fc0d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/657 Reviewed-by: Peter Stuge
	<peter@stuge.se> Tested-by: jenkins

2012-05-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: enable TARGET_EVENT_EXAMINE_* events Change-Id: I33efc0994b7bfe0faa2f4e8457fcc3c8e43d3571 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/635 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins Reviewed-by: Bill
	Traynor <wmat@alphatroop.com>

2012-05-14  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: remove legacy target events These events have been deprecated for a number of years, update any
	remaining scripts to the new events.  Change-Id: Ic31ff388545ac8b3a500045699ca92c541b13f12 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/634 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins Reviewed-by: Bill
	Traynor <wmat@alphatroop.com>

2012-05-15  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: disable armv6m unaligned memory access Change-Id: I42704cf80939ab9c9d4f402d2cd51c196e2fadb3 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/645 Tested-by: jenkins

2012-05-17  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: add helper/types.h to config.h this header is used in numerous files and adding to config.h
	simplifies its use globally.  Change-Id: Id724a9950b90504721233022c7fb5768e9bc5548 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/649 Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2012-05-19  Christopher Kilgour <techie@whiterocker.com>

	* : flash/nor/driver.h: typo fix Change-Id: Ie260f3c38b648e66958c014658bb6860171a7cc9 Signed-off-by:
	Christopher Kilgour <techie@whiterocker.com> Reviewed-on:
	http://openocd.zylin.com/653 Tested-by: jenkins Reviewed-by: Bill
	Traynor <wmat@alphatroop.com> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-05-17  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: remove superfluous stlink_usb.h Change-Id: I34bc59b35fafd3fa659549e350b91310c5b33dd4 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/650 Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2012-05-17  Spencer Oliver <spen@spen-soft.co.uk>

	* : remote_bitbang: fix native windows build Change-Id: Ied29ade0346c4595ffc1dafa788e2d5a595e0de3 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/648 Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2012-05-14  Peter Stuge <peter@stuge.se>

	* : docs: Fix incorrect -rtos option values Commit 9ca1592cb9fe4e61ee5bc327345fdfc254c9fe13 started on
	documentation for the -rtos option, but some of the documented
	values were incorrect so we'll clean up the mess here.  Many thanks to Freddie Chopin for spotting this! Change-Id: Iaa633bd40ff5f75dd6a69e74e79dafc1643ee21a Signed-off-by:
	Peter Stuge <peter@stuge.se> Reviewed-on:
	http://openocd.zylin.com/642 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins

2012-05-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : jtag: add opendous and estick support Change-Id: I49c25d226f05fdcaca6cbfc35c2ab47e8464abec Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/611 Tested-by: jenkins

2012-05-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: blank check use default_flash_blank_check Use default_flash_blank_check, this will use the much faster
	blank_check_memory handler if supported - 15x quicker on stm32f4.  Otherwise it will fall back to using the slower
	default_flash_mem_blank_check.  Change-Id: Ia231b3e95468c9e92594dbdbe1fa2d69e1506fc3 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/632 Tested-by: jenkins

2012-05-11  Spencer Oliver <spen@spen-soft.co.uk>

	* : jimtcl: update jim to fix make clean bug jimtcl 0.73 has a issue when make clean is called.  we have only
	included that fix as this is close to a release to update to jimtcl
	master.  Change-Id: I5791ff32a98bd76e52feb9475605cbecf58420e5 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/638 Tested-by: jenkins

2012-05-04  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: add stlink_api cmd This enables the manual selection of the stlink api version.  Change-Id: I0ec8c5b0a101b6456f426d2fec65971da56db4e7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/617 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com> Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2012-05-01  Spencer Oliver <spen@spen-soft.co.uk>

	* : mips: support connecting under reset Some targets support connecting while the target's srst is asserted.
	Tested on pic32 family.  Change-Id: I0d20c40af6d031d1306043893e95e61f484c0a87 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/608 Tested-by: jenkins

2012-05-03  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add stm320518-eval onboard stlink config Change-Id: Ie92a87ce077c538fdd04af37c798e0a8054b423a Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/610 Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com> Tested-by: jenkins Reviewed-by: Xiaofan
	<xiaofanc@gmail.com>

2012-05-01  Spencer Oliver <spen@spen-soft.co.uk>

	* : cortex-m3: support connecting under reset Some targets support connecting while the target's srst is asserted.
	Tested on stm32 family.  Change-Id: I9df43623025e37832155aeee7aa099b844b85f16 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/606 Tested-by: jenkins

2012-05-03  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfi: fix cfi arch check regression seems 9933fa334de551096674d4044ed7ac2152213e8b introduce a
	regression if the target was anything other than armv4_5 or armv7m.  Just check that we have an arm target.  Change-Id: I67c05138e5be2952ee92e9bfa15e1d050844462a Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/615 Tested-by: jenkins Reviewed-by:
	Aurelien Jacobs <aurel@gnuage.org>

2012-05-03  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: use generic name for arm_algorithm vars This makes the code a bit easier to read as arm_algorithm can refer
	to other arch's, not just armv4_5.  Change-Id: I78c99d40f34cda04e06f2daee75b48ff40a1d23d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/613 Tested-by: jenkins Reviewed-by:
	Aurelien Jacobs <aurel@gnuage.org> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-05-01  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: update crc/erase_check loaders for cortex-m0 Use loaders that have been built for cortex-m0, making them usable
	for both cortex-m0 and cortex-m3 families.  Change-Id: Ifd82be87eaec2cb96464290c80800cec3630d619 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/604 Tested-by: jenkins

2012-04-30  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: use correct stm32f0 flash size register The stm32f0 parts use a different address then the rest of the
	family.  Add a function that returns the correct FLASH_SIZE reg
	depending on variant.  Change-Id: Idb41580f7162f395b347cec034d6b745847326b7 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/601 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-04-30  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: increase stm32f0 default working area The smallest stm32f0 has 4k sram, so use this as the default.  Change-Id: I9097be9608da92b1b9da504e5bacc1280c86907a Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/603 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-05-07  Bill Traynor <wmat@alphatroop.com>

	* : cfg: Fixed product link to Flyswatter2 Fixed the product link to the Flyswatter2 debugger:
	http://www.tincantools.com/product.php?productid=16153 Change-Id: I7d65e8c94d4521e61b9ae72a5ce14b140b775697 Signed-off-by:
	Bill Traynor <wmat@alphatroop.com> Reviewed-on:
	http://openocd.zylin.com/620 Reviewed-by: Peter Stuge
	<peter@stuge.se> Tested-by: jenkins

2012-04-27  Spencer Oliver <spen@spen-soft.co.uk>

	* : build: remove clang unused variable assignment warnings Change-Id: Ibe5254704d6cd879a318a82c4f50d9da3c14276c Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/600 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com>

2012-04-27  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: fix incorrect stm32vldiscovery working area The working area used in the config was incorrect, we only have 8K
	on this board not 16K as the original cfg was declaring.  Change-Id: Ie0309fb86d839bd3bc1ac9383905b581fac5c388 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/598 Tested-by: jenkins Reviewed-by: Mathias
	Küster <kesmtp@freenet.de> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-04-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: remove unused stlink options reset_config is now supported by stlink, remove from the config as
	this is a per board option.  Change-Id: I85208d2154502b8d3a098afe1d9a28d75820a7c0 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/582 Tested-by: jenkins Reviewed-by: Mathias
	Küster <kesmtp@freenet.de> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-04-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: export write_debug_reg Change-Id: I3944911d4a71dba4af48470ceb3e4850784a0e7d Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/580 Tested-by: jenkins Reviewed-by: Mathias
	Küster <kesmtp@freenet.de> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-04-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: update stm32f0x version info Change-Id: Iab0962021e6243d1df3e7c647654a51b4bf50d72 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/578 Tested-by: jenkins Reviewed-by: Mathias
	Küster <kesmtp@freenet.de> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-04-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : stlink: add improved STLINK_JTAG_API_V2 support The STLINK/V2 supports two api's.  This completes the support so
	STLINK_JTAG_API_V2 is usable.  Support for hardware srst still needs adding.  Change-Id: Ic4d0499be2a225d18abf96fd6f5ce5e295fb1f37 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/561 Tested-by: jenkins Reviewed-by: Mathias
	Küster <kesmtp@freenet.de> Reviewed-by: Freddie Chopin
	<freddie.chopin@gmail.com>

2012-04-19  Olivier Schonken <olivier.schonken@gmail.com>

	* : SAM3X - Added support for at91sam3x8h-ES, fixed CIDR for ES2 and
	production The first available devkits for the at91sam3x8h had the ES device
	populated.  The ES device had an error in the CIDR, specifically in
	the last byte of which the upper 3 bits identifies the chip family -
	cortex-m3, arm7tdmi etc.  The problem was fixed on the ES2 devices - Thanks to Pat Hickey for
	giving me the heads-up.  Change-Id: I13dd7fbe0cffaf76f948188c9459dc3cf4435570 Signed-off-by:
	Olivier Schonken <olivier.schonken@gmail.com> Reviewed-on:
	http://openocd.zylin.com/575 Tested-by: jenkins Reviewed-by: Jim
	Norris <u17263@att.net> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-04-24  Linus Tolke <linus@tigris.org>

	* : topic: Fixed a clang Dead assignment warning.  The value returned from target_write_buffer is still ignored.  Change-Id: Icb49d4d1313a5e4f7df68d3f122a5f81cfa0604a Signed-off-by:
	Linus Tolke <linus@tigris.org> Reviewed-on:
	http://openocd.zylin.com/596 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-04-20  Allen Martin <amartin@nvidia.com>

	* : cfg: Add interface config for Dangerous Prototypes Bus Blaster This is a FT2232 based USB JTAG dongle Change-Id: Ibed773a23b6446df62fe4eac16c27fb2d741f4c3 Signed-off-by:
	Allen Martin <amartin@nvidia.com> Reviewed-on:
	http://openocd.zylin.com/589 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-04-22  Bill Traynor <wmat@alphatroop.com>

	* : UserGuide: Updated link to Versaloon-Link tool.  In section '2.8 USB Other' updated the URL to the Versaloon-Link to:
	http://www.versaloon.com Change-Id: Idd92333cb3d87d1b89dfb282134332387df5a0fc Signed-off-by:
	Bill Traynor <wmat@alphatroop.com> Reviewed-on:
	http://openocd.zylin.com/592 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-04-22  Bill Traynor <wmat@alphatroop.com>

	* : UserGuide: Fixed link to ST flashlink.  In section '2.9 IBM PC Parallel Printer Port Based' fixed link to
	ST's flashlink PDF and removed alternate URL text:

	http://www.st.com/internet/com/TECHNICAL_RESOURCES/TECHNICAL_LITERATURE/DATA_BRIEF/DM00039500.pdf Change-Id: I99702dd00d4145784baee1f63b5998bf79e06678 Signed-off-by:
	Bill Traynor <wmat@alphatroop.com> Reviewed-on:
	http://openocd.zylin.com/594 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-04-16  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: update gerrit publish refs since gerrit 2.3 pushing changes to refs/for/ is deprecated in
	favour of using refs/publish/.  Change-Id: I6244b9645da2144921583bd9778a95c563fac89f Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/567 Tested-by: jenkins

2012-04-19  Bill Traynor <wmat@alphatroop.com>

	* : UserGuide: Fixed link to Raisonance RLINK.  In section 2.6 USB JLINK based, fixed link to RLINK:

	http://www.mcu-raisonance.com/~rlink-debugger-programmer__microcontrollers__tool~tool__T018:4cn9ziz4bnx6.html Change-Id: I15f7a1b68b851054e07eefc07a50b4590ebce677 Signed-off-by:
	Bill Traynor <wmat@alphatroop.com> Reviewed-on:
	http://openocd.zylin.com/588 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-04-19  Bill Traynor <wmat@alphatroop.com>

	* : UserGuide: Add ref. to Flyswatter2 Added the Flyswatter2 to section 2.3 USB FT2232 Based hardware list.  Change-Id: I6a382644b5a0313d30afb5a97d0a9ea00f01efa9 Signed-off-by:
	Bill Traynor <wmat@alphatroop.com> Reviewed-on:
	http://openocd.zylin.com/584 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-04-19  Bill Traynor <wmat@alphatroop.com>

	* : UserGuide: Fixed link to IAR J-Link.  In Section 2.5 USB JLINK based, fixed the URL for IAR J-Link:
	http://www.iar.com/en/products/hardware-debug-probes/iar-j-link/ Change-Id: If613d2e915a0a704569d74094e612e34bcc849d3 Signed-off-by:
	Bill Traynor <wmat@alphatroop.com> Reviewed-on:
	http://openocd.zylin.com/586 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-04-18  Bill Traynor <wmat@alphatroop.com>

	* : zy1000: fixed link to Zylin ZY1000 JTAG Probe This patch fixes the link to the Zylin ZY1000 JTAG Probe webpage.
	The ZY1000 product line was acquired by Ultimate Solutions, Inc. in
	May 2011.  Change-Id: If68cd45a0c47aa20b2e4bb62939b2c505c8c8c2e Signed-off-by:
	Bill Traynor <wmat@alphatroop.com> Signed-off-by: Øyvind Harboe
	<oyvind.harboe@zylin.com> Reviewed-on: http://openocd.zylin.com/571
	Tested-by: jenkins Reviewed-by: Peter Stuge <peter@stuge.se>
	Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2012-04-18  David Anders <danders.dev@gmail.com>

	* : omap4460: add initial TCL support for the omap4460 es1.0 this patch adds the initial support for the omap4460 es1.0 version
	which is similar to the omap4430 and used on the pandaboard-es.  Change-Id: If885f7d9f8809929bd799786b539e4f499fa3478 Signed-off-by:
	David Anders <danders.dev@gmail.com> Reviewed-on:
	http://openocd.zylin.com/572 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-04-11  Uwe Hermann <uwe@hermann-uwe.de>

	* : Glyn Tonga2: Faster JTAG speed after CPU/RAM init.  Change-Id: Ib08dae0035355138c468483a7ee2d73aadedf430 Signed-off-by:
	Uwe Hermann <uwe@hermann-uwe.de> Reviewed-on:
	http://openocd.zylin.com/564 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-04-04  Mathias K <kesmtp@freenet.de>

	* : STM32L: Write partial-page flash data after full-page data The target address for the partial data needs to be bumped past the
	full page data. Otherwise, the partial data overwrites the start of
	the flash block.  Change-Id: I1246b2fa8acbdb8193edcf7029309f11d1c6069c Signed-off-by:
	Keith Packard <keithp@keithp.com> Signed-off-by: Mathias K
	<kesmtp@freenet.de> Reviewed-on: http://openocd.zylin.com/555
	Tested-by: jenkins Reviewed-by: Andreas Fritiofson
	<andreas.fritiofson@gmail.com>

2012-03-27  Wjatscheslaw Stoljarski (Slawa) <wjatscheslaw.stoljarski@kiwigrid.com>

	* : cfg: add icnova_imx53_sodimm board config Add board config for In-Circuit ICnova iMX53 SODIMM Change-Id: I3802ab1695baa75c1f170cf1af0e38ada284c0b8 Signed-off-by:
	Wjatscheslaw Stoljarski (Slawa)
	<wjatscheslaw.stoljarski@kiwigrid.com> Reviewed-on:
	http://openocd.zylin.com/543 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-04-03  Antonio Borneo <borneo.antonio@gmail.com>

	* : contrib/openocd.udev: fix warning Fix following warning message logged by udev at start udevd[421]: SYSFS{}= will be removed in a future udev version,
	please use ATTR{}= to match the event device, or ATTRS{}= to match a
	parent device, in /etc/udev/rules.d/95-openocd.rules:81 Change-Id: I6de935c13a3327e3d718c110f97d19b9847ceca5 Signed-off-by:
	Antonio Borneo <borneo.antonio@gmail.com> Reviewed-on:
	http://openocd.zylin.com/552 Tested-by: jenkins Reviewed-by: Luca
	Bruno Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>

2012-03-17  Simon Qian <simonqian.openocd@gmail.com>

	* : topic: add reset functions for SWD Add swd_init_reset and swd_add_reset.  Add adapter_assert_reset and
	adapter_deassert_reset, and call them instead of JTAG reset
	functions.  Change-Id: Ib2551c6fbb45513e0ae0dc331cfe3ee3f922298a Signed-off-by:
	Simon Qian <simonqian.openocd@gmail.com> Reviewed-on:
	http://openocd.zylin.com/526 Tested-by: jenkins Reviewed-by: Freddie
	Chopin <freddie.chopin@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-04-02  Salvador <sarroyofdez@yahoo.es>

	* : Finish off functions mips32_pracc_read_mem16() and
	mips32_pracc_read_mem8() This functions are unfinished and work only with  parameter count up
	to 1024.  Commands mdh and mdb from pic32mx context show values not related to
	memory content if parameter count is bigger than 1024. Firt 1024 are
	ok.  Change-Id: Ie3f4d4a0f9d1d1a69bd3a18de2f72dd9249514cb Signed-off-by:
	Salvador <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/550 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: jenkins

2012-04-03  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: add gerrit server url Change-Id: If39b522594a4ee3758fb85309af01f7a98c9f939 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/553 Tested-by: jenkins

2011-12-20  Ulf Samuelsson <ulf@emagii.com>

	* : tools/initial.sh Small script to setup Gerrit with the local repository Usage: tools/initial.sh <username> Change-Id: I26527c35cfe040c7752efec06064d5dc9e3ec6a2 Signed-off-by:
	Ulf Samuelsson <ulf@emagii.com> Signed-off-by: Attila Kinali
	<attila@kinali.ch> Reviewed-on: http://openocd.zylin.com/290
	Tested-by: jenkins Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-03-24  Wim Lewis <wiml@hhhh.org>

	* : Add value "openbsd" for ocd_HOSTOS.  Change-Id: I9b0dd87d85c0792730f507176001d39c44da7117 Signed-off-by:
	Wim Lewis <wiml@hhhh.org> Reviewed-on: http://openocd.zylin.com/547
	Tested-by: jenkins Reviewed-by: Peter Stuge <peter@stuge.se>

2012-03-30  Spencer Oliver <spen@spen-soft.co.uk>

	* : armv7m: fix broken stlink build The stlink partially supports the cortex-m4 fp regs and requires
	these defines to build.  Change-Id: Id3aa802ecc7006cb6d9f84b79ab3c21af24c1001 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/545 Tested-by: jenkins

2012-03-15  Mathias K <kesmtp@freenet.de>

	* : armv7m: detect floating point feature This patch add fp feature detection on cortex-m4.  Change-Id: I99e9d1bf5534630a22b8ad9c878165683db2d0ba Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/524 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : cfg: add support for STM3220G-EVAL onboard STLINK Change-Id: Icd7a1baf6f2623e5b57d29c4602a2762af730936 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/541 Tested-by: jenkins

2012-03-26  Spencer Oliver <spen@spen-soft.co.uk>

	* : scripts: use adapter_nsrst_delay not deprecated jtag_nsrst_delay Change-Id: Idf98526d64dcba4d8a5b6910bd3c539756753e8e Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/539 Tested-by: jenkins

2012-03-20  Spencer Oliver <spen@spen-soft.co.uk>

	* : docs: update release docs to use configure.ac Change-Id: I7b52ad1c3744a82832c5b55898bf47607e24d03e Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/538 Tested-by: jenkins

2012-02-29  Salvador Arroyo <sarroyofdez@yahoo.es>

	* : topic: Flash support for Pic32mx1xx/2xx Change-Id: I496cb745fb1eb5c9159471838013b8d19418f5c0 Signed-off-by:
	Salvador Arroyo <sarroyofdez@yahoo.es> Reviewed-on:
	http://openocd.zylin.com/500 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-19  Spencer Oliver <spen@spen-soft.co.uk>

	* : transport: remove interface multiple transport warning Currently if we have multiple transport's defined we receive an
	warning similar to: must select a transport.  allow transport 'jtag'
	allow transport 'swd This removes that warning and only prints this info if
	transport_init fails.  Change-Id: I87126390f234bc2f705e1f150a0dcc110dcab151 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/532 Tested-by: jenkins

2012-03-19  Mathias K <kesmtp@freenet.de>

	* : Add warn message if no flash bank found for the current image
	address.  Add a warn message to inform the user that something is wrong with
	the flash settings or command parameters.  Change-Id: Ia55868b2abf2a17845e51620b0f29b2809d841c2 Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/280 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-13  Mathias K <kesmtp@freenet.de>

	* : gdb_server: Fix wrong index/length compare.  This patch fix the compare for the list size and the register index.  Change-Id: I36d5e078f57d2a9f7823cfdf0d537762e00f6929 Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/516 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-14  Paul Fertser <fercerpav@gmail.com>

	* : rtos: fix segfault in FreeRTOS handling When gdb loads an elf file of a newer or older version of the
	firmware being debugged, or when the firmware is not running yet,
	there's a high probability of FreeRTOS variables to be read
	incorrectly, thus leading to an attempt to allocate an enourmous
	amount of memory. Without this check OpenOCD simply crashes and
	that's mad confusing.  Change-Id: I404a072e886d2d47d9d942cfaea8417eb8bd4a5d Signed-off-by:
	Paul Fertser <fercerpav@gmail.com> Reviewed-on:
	http://openocd.zylin.com/520 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-13  Mathias K <kesmtp@freenet.de>

	* : gdb_server: sanity check the gdb register size This patch checks the received register length with the local
	configured register length and disconnect on a length missmatch.  Change-Id: I6b112c6b55a9ffb4526f582a384ffa91dc8b792f Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/517 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-10  Mathias K <kesmtp@freenet.de>

	* : stm32: Add floating point register read/write.  This patch add floating point register read/write functionality
	through the SCS debug interface.  Change-Id: Id20e109dd7cccba00671d55ca8aabeb4936cceb9 Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/512 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-09  Mathias K <kesmtp@freenet.de>

	* : flash: Fix flash write algorithm on pflash only devices.  This patch fix the slow flash write issue on pflash only devices.
	The Family Reference Manual says: For devices with FlexNVM: FlexRAM For devices with program flash
	only: Programming acceleration RAM So the acceleration RAM is available for the flash section command
	on this device.  Change-Id: If6541a23a4457c5ed8858848a145f35cac63138b Signed-off-by:
	Mathias K <kesmtp@freenet.de> Reviewed-on:
	http://openocd.zylin.com/509 Tested-by: jenkins Reviewed-by: Tomas
	Frydrych <tf+openocd@r-finger.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-03-12  Drasko DRASKOVIC <drasko.draskovic@gmail.com>

	* : mips: Forced to running state to enable (subsequent) target
	halt.  Change-Id: I9aff8fb3ac703b50194088dd4e68cec8f9bb2ada Signed-off-by:
	Drasko DRASKOVIC <drasko.draskovic@gmail.com> Reviewed-on:
	http://openocd.zylin.com/513 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-05  Øyvind Harboe <oyvind.harboe@zylin.com>

	* : ecosboard: delete bit-rotted eCos code Change-Id: Iff7943eb9da3f41dcc45492acd0f36cf63b3497f Signed-off-by:
	Øyvind Harboe <oyvind.harboe@zylin.com> Reviewed-on:
	http://openocd.zylin.com/503 Reviewed-by: Øyvind Harboe
	<oyvindharboe@gmail.com> Tested-by: jenkins

2012-03-06  Olivier Schonken <olivier.schonken@gmail.com>

	* : topic: Added support for the SAM3X/A variants Atmel introduced 7 new Cortex-M3 processors on 2012-02-28 SAM3X4C -
	256KB flash SAM3X4E - 256KB flash SAM3X8C - 512KB flash SAM3X8E -
	512KB flash SAM3X8H (Only on dev-kit - not in production...) - 512KB
	flash SAM3A4C - 256KB flash SAM3A8C - 256KB flash The SAM3X/A processors still suffer from the "6 waitstates needed to
	program device" errata.  The CIDR address for the SAM3X/A processors are different from the
	other SAM3 processors.  Unfortunately, the chip identification
	register is not at a constant address across all of the SAM3
	series'. As a consequence, a simple heuristic is used to find where
	it's at... If the contents at the first address is zero, then we
	know that the second address is where the chip id register is.  We
	can deduce this because for those SAM's that have the chip id @
	0x400e0940, the first address, 0x400e0740, is located in the memory
	map of the Power Management Controller (PMC). Furthermore, the
	address is not used by the PMC.  So when read, the memory controller
	returns zero.  Another interesting change is the flash bank address for flash bank
	1.  It is not fixed at 0x00100000 like the Sam3U.  Bank 1 of the
	at91sam3a/x series starts at 0x00080000 + half the total flash size.
	Thus for the 256KB devices Bank 1 is located at 0x000A0000, and for
	the 512KB devices Bank 1 is located at 0x000C0000.  The configuration files for the SAM3X/A processors will follow Change-Id: I6c3a707c00e05d993a2ad1d5a423f23b37ffd553 Signed-off-by:
	Olivier Schonken <olivier.schonken@gmail.com> Reviewed-on:
	http://openocd.zylin.com/505 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-13  Spencer Oliver <spen@spen-soft.co.uk>

	* : target: remove unused declaration arm7_9_prepare_reset_halt is long since gone and the functionality
	is implemented in the target's assert_reset handler.  Change-Id: Ib03c730cb39d68e5e3bb42f92af13daf8074e4e2 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/515 Tested-by: jenkins Reviewed-by: Peter
	Stuge <peter@stuge.se>

2012-02-26  Øyvind Harboe <oyvind.harboe@zylin.com>

	* : target_request: fix warning, do not set local variable to value
	it already has Change-Id: If29b0efdc326ee1ce4c07ec9d8777744d674f367 Signed-off-by:
	Øyvind Harboe <oyvind.harboe@zylin.com> Reviewed-on:
	http://openocd.zylin.com/490 Tested-by: jenkins Reviewed-by: Øyvind
	Harboe <oyvindharboe@gmail.com>

2012-02-29  Fredrik Hederstierna <fredrik.hederstierna@securitas-direct.com>

	* : flash: Additional check for NULL in str9xpec enable_turbo Change-Id: Ifde8783b27c64e4a4bbea180cfa2c86f6a9fe49a Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/496 Tested-by: jenkins Reviewed-by: Øyvind
	Harboe <oyvindharboe@gmail.com>

2012-03-01  Jim Norris <u17263@att.net>

	* : Add new configuration files for the Diolan LPC-4350-DB1
	development board with the NXP LPC4350 processor.  Change-Id: I0843e96af9ca05d3e598e2e16eb19fc0581ab46d Signed-off-by:
	Jim Norris <u17263@att.net> Reviewed-on:
	http://openocd.zylin.com/501 Tested-by: jenkins Reviewed-by: Øyvind
	Harboe <oyvindharboe@gmail.com> Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-02-28  Attila Kinali <attila@kinali.ch>

	* : SAM3: Add missing architecture names for SAM3S and SAM3N Change-Id: Ie2177487d4315219eb364db360cb7f88d2720783 Signed-off-by:
	Attila Kinali <attila@kinali.ch> Reviewed-on:
	http://openocd.zylin.com/494 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-03-06  Jaap de Jong <jaap.dejong@nedap.com>

	* : config: fix typo in at91 config Change-Id: I596cbac3439456fcb02111caee6e8c290c12a6d5 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/504 Reviewed-by: Peter Stuge
	<peter@stuge.se> Tested-by: jenkins

2012-02-29  Spencer Oliver <spen@spen-soft.co.uk>

	* : Revert "stlink-v1: fix memory writes" I committed in the wrong
	order This reverts commit 79230a8e3c5b85601fca730dfc09ecc52e693afa Change-Id: Iace872ac4844891f4f38fca87448a2ebd9f17593 Reviewed-on:
	http://openocd.zylin.com/497 Reviewed-by: Spencer Oliver
	<spen@spen-soft.co.uk> Tested-by: Spencer Oliver
	<spen@spen-soft.co.uk>

2012-02-24  Attila Kinali <attila@kinali.ch>

	* : Fix assert to check flash programming offset The assert introduced in 00c864835149a96b431fc8f31dd89542d88fd383
	checks whether the programming offset equals to page_size of the
	flash, while it wants to check whether the offset is a multiple of
	the page_size.  Change-Id: I794d021951a28c1cc520b5eea5d500f097721b06 Signed-off-by:
	Attila Kinali <attila@kinali.ch> Reviewed-on:
	http://openocd.zylin.com/482 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk> Reviewed-by: Alexandre Pereira da
	Silva <aletes.xgr@gmail.com>

2012-02-17  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: change stm32lx driver probe behaviour Currently stm32lx flash driver will remove the readout protection if
	set during a probe.  This may not be what the user wants, so let them decide.  Change-Id: I8575e3b339b10a4f7bac57cca9586dcab513d347 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/465 Tested-by: jenkins

2012-02-16  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add new devices to pic32mx flash driver update as per DS61145 rev J Change-Id: I2b5da84248ff2f44c7ca9d2ed1c52db453714c05 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/461 Tested-by: jenkins

2012-02-24  Neil Jensen <neil30al@gmail.com>

	* : cfg: beaglebone cleanup Simplified the configuration and removed things that were not
	necessary for debugging.  Also added reset configuration.  Signed-off-by: Neil Jensen <neil30al@gmail.com> Change-Id:
	I96f991c3051aa68278212cd6509484cbce40ccb7 Reviewed-on:
	http://openocd.zylin.com/488 Tested-by: jenkins Reviewed-by: Spencer
	Oliver <spen@spen-soft.co.uk>

2012-02-21  Spencer Oliver <spen@spen-soft.co.uk>

	* : jtag: fix cmd scan_chain expected_ids bug This fixes scan_chain to correctly print all the expected_ids.  Change-Id: I93738980d85e0fe369d40c58b19339424d37ec34 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/474 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-02-10  Spencer Oliver <spen@spen-soft.co.uk>

	* : flash: add stellaris async flash loader This enable the Stellaris flash driver to use the asynchronous
	algorithm support.  Speed increase is as follows: before - wrote 65536 bytes from file
	test.bin in 5.486040s (11.666 KiB/s) after - wrote 65536 bytes from
	file test.bin in 2.274001s (28.144 KiB/s) Change-Id: I9004c9aadffa1ae3b0cbf908e6549b5b1f794508 Signed-off-by:
	Spencer Oliver <spen@spen-soft.co.uk> Reviewed-on:
	http://openocd.zylin.com/403 Tested-by: jenkins Reviewed-by: Andreas
	Fritiofson <andreas.fritiofson@gmail.com>

2012-02-23  Neil Jensen <neil30al@gmail.com>

	* : cfg: beaglebone Moved ti_beaglebone.cfg to the board configuration directory.  This
	was originally placed in the wrong location.  Signed-off-by: Neil Jensen <neil30al@gmail.com> Change-Id:
